import{S as Cf,i as Af,s as Sf,e as a,k as c,w,t as n,M as Nf,c as s,d as o,m,a as r,x as y,h as i,b as d,N as qf,G as e,g,y as $,q as x,o as T,B,v as Lf,L as Mt}from"../../chunks/vendor-hf-doc-builder.js";import{T as fa}from"../../chunks/Tip-hf-doc-builder.js";import{D as I}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Pt}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as L}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ft}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as Of}from"../../chunks/PipelineTag-hf-doc-builder.js";function Df(k){let p,v,_,u,b;return u=new Pt({props:{code:`from transformers import BeitConfig, BeitModel

# Initializing a BEiT beit-base-patch16-224-pt22k style configuration
configuration = BeitConfig()

# Initializing a model (with random weights) from the beit-base-patch16-224-pt22k style configuration
model = BeitModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> BeitConfig, BeitModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a BEiT beit-base-patch16-224-pt22k style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = BeitConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the beit-base-patch16-224-pt22k style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BeitModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){p=a("p"),v=n("Example:"),_=c(),w(u.$$.fragment)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Example:"),f.forEach(o),_=m(l),y(u.$$.fragment,l)},m(l,f){g(l,p,f),e(p,v),g(l,_,f),$(u,l,f),b=!0},p:Mt,i(l){b||(x(u.$$.fragment,l),b=!0)},o(l){T(u.$$.fragment,l),b=!1},d(l){l&&o(p),l&&o(_),B(u,l)}}}function Vf(k){let p,v,_,u,b;return{c(){p=a("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),u=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(f,"CODE",{});var E=r(_);u=i(E,"Module"),E.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(l,f){g(l,p,f),e(p,v),e(p,_),e(_,u),e(p,b)},d(l){l&&o(p)}}}function Wf(k){let p,v,_,u,b;return u=new Pt({props:{code:`from transformers import AutoImageProcessor, BeitModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("microsoft/beit-base-patch16-224-pt22k")
model = BeitModel.from_pretrained("microsoft/beit-base-patch16-224-pt22k")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, BeitModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BeitModel.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">197</span>, <span class="hljs-number">768</span>]`}}),{c(){p=a("p"),v=n("Example:"),_=c(),w(u.$$.fragment)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Example:"),f.forEach(o),_=m(l),y(u.$$.fragment,l)},m(l,f){g(l,p,f),e(p,v),g(l,_,f),$(u,l,f),b=!0},p:Mt,i(l){b||(x(u.$$.fragment,l),b=!0)},o(l){T(u.$$.fragment,l),b=!1},d(l){l&&o(p),l&&o(_),B(u,l)}}}function Rf(k){let p,v,_,u,b;return{c(){p=a("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),u=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(f,"CODE",{});var E=r(_);u=i(E,"Module"),E.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(l,f){g(l,p,f),e(p,v),e(p,_),e(_,u),e(p,b)},d(l){l&&o(p)}}}function Uf(k){let p,v,_,u,b;return u=new Pt({props:{code:`from transformers import AutoImageProcessor, BeitForMaskedImageModeling
import torch
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("microsoft/beit-base-patch16-224-pt22k")
model = BeitForMaskedImageModeling.from_pretrained("microsoft/beit-base-patch16-224-pt22k")

num_patches = (model.config.image_size // model.config.patch_size) ** 2
pixel_values = image_processor(images=image, return_tensors="pt").pixel_values
# create random boolean mask of shape (batch_size, num_patches)
bool_masked_pos = torch.randint(low=0, high=2, size=(1, num_patches)).bool()

outputs = model(pixel_values, bool_masked_pos=bool_masked_pos)
loss, logits = outputs.loss, outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, BeitForMaskedImageModeling
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BeitForMaskedImageModeling.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_patches = (model.config.image_size // model.config.patch_size) ** <span class="hljs-number">2</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pixel_values = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).pixel_values
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># create random boolean mask of shape (batch_size, num_patches)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>bool_masked_pos = torch.randint(low=<span class="hljs-number">0</span>, high=<span class="hljs-number">2</span>, size=(<span class="hljs-number">1</span>, num_patches)).<span class="hljs-built_in">bool</span>()

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(pixel_values, bool_masked_pos=bool_masked_pos)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss, logits = outputs.loss, outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">196</span>, <span class="hljs-number">8192</span>]`}}),{c(){p=a("p"),v=n("Examples:"),_=c(),w(u.$$.fragment)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Examples:"),f.forEach(o),_=m(l),y(u.$$.fragment,l)},m(l,f){g(l,p,f),e(p,v),g(l,_,f),$(u,l,f),b=!0},p:Mt,i(l){b||(x(u.$$.fragment,l),b=!0)},o(l){T(u.$$.fragment,l),b=!1},d(l){l&&o(p),l&&o(_),B(u,l)}}}function Hf(k){let p,v,_,u,b;return{c(){p=a("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),u=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(f,"CODE",{});var E=r(_);u=i(E,"Module"),E.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(l,f){g(l,p,f),e(p,v),e(p,_),e(_,u),e(p,b)},d(l){l&&o(p)}}}function Jf(k){let p,v,_,u,b;return u=new Pt({props:{code:`from transformers import AutoImageProcessor, BeitForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("microsoft/beit-base-patch16-224")
model = BeitForImageClassification.from_pretrained("microsoft/beit-base-patch16-224")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, BeitForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BeitForImageClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){p=a("p"),v=n("Example:"),_=c(),w(u.$$.fragment)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Example:"),f.forEach(o),_=m(l),y(u.$$.fragment,l)},m(l,f){g(l,p,f),e(p,v),g(l,_,f),$(u,l,f),b=!0},p:Mt,i(l){b||(x(u.$$.fragment,l),b=!0)},o(l){T(u.$$.fragment,l),b=!1},d(l){l&&o(p),l&&o(_),B(u,l)}}}function Gf(k){let p,v,_,u,b;return{c(){p=a("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),u=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(f,"CODE",{});var E=r(_);u=i(E,"Module"),E.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(l,f){g(l,p,f),e(p,v),e(p,_),e(_,u),e(p,b)},d(l){l&&o(p)}}}function Kf(k){let p,v,_,u,b;return u=new Pt({props:{code:`from transformers import AutoImageProcessor, BeitForSemanticSegmentation
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("microsoft/beit-base-finetuned-ade-640-640")
model = BeitForSemanticSegmentation.from_pretrained("microsoft/beit-base-finetuned-ade-640-640")

inputs = image_processor(images=image, return_tensors="pt")
outputs = model(**inputs)
# logits are of shape (batch_size, num_labels, height, width)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, BeitForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-finetuned-ade-640-640&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BeitForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-finetuned-ade-640-640&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># logits are of shape (batch_size, num_labels, height, width)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){p=a("p"),v=n("Examples:"),_=c(),w(u.$$.fragment)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Examples:"),f.forEach(o),_=m(l),y(u.$$.fragment,l)},m(l,f){g(l,p,f),e(p,v),g(l,_,f),$(u,l,f),b=!0},p:Mt,i(l){b||(x(u.$$.fragment,l),b=!0)},o(l){T(u.$$.fragment,l),b=!1},d(l){l&&o(p),l&&o(_),B(u,l)}}}function Xf(k){let p,v,_,u,b;return{c(){p=a("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),u=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(f,"CODE",{});var E=r(_);u=i(E,"Module"),E.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(l,f){g(l,p,f),e(p,v),e(p,_),e(_,u),e(p,b)},d(l){l&&o(p)}}}function Yf(k){let p,v,_,u,b;return u=new Pt({props:{code:`from transformers import AutoImageProcessor, FlaxBeitModel
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("microsoft/beit-base-patch16-224-pt22k-ft22k")
model = FlaxBeitModel.from_pretrained("microsoft/beit-base-patch16-224-pt22k-ft22k")

inputs = image_processor(images=image, return_tensors="np")
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, FlaxBeitModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k-ft22k&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxBeitModel.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k-ft22k&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){p=a("p"),v=n("Examples:"),_=c(),w(u.$$.fragment)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Examples:"),f.forEach(o),_=m(l),y(u.$$.fragment,l)},m(l,f){g(l,p,f),e(p,v),g(l,_,f),$(u,l,f),b=!0},p:Mt,i(l){b||(x(u.$$.fragment,l),b=!0)},o(l){T(u.$$.fragment,l),b=!1},d(l){l&&o(p),l&&o(_),B(u,l)}}}function Qf(k){let p,v,_,u,b;return{c(){p=a("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),u=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(f,"CODE",{});var E=r(_);u=i(E,"Module"),E.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(l,f){g(l,p,f),e(p,v),e(p,_),e(_,u),e(p,b)},d(l){l&&o(p)}}}function Zf(k){let p,v,_,u,b;return u=new Pt({props:{code:`from transformers import AutoImageProcessor, BeitForMaskedImageModeling
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("microsoft/beit-base-patch16-224-pt22k")
model = BeitForMaskedImageModeling.from_pretrained("microsoft/beit-base-patch16-224-pt22k")

inputs = image_processor(images=image, return_tensors="np")
outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, BeitForMaskedImageModeling
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = BeitForMaskedImageModeling.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){p=a("p"),v=n("Examples:"),_=c(),w(u.$$.fragment)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Examples:"),f.forEach(o),_=m(l),y(u.$$.fragment,l)},m(l,f){g(l,p,f),e(p,v),g(l,_,f),$(u,l,f),b=!0},p:Mt,i(l){b||(x(u.$$.fragment,l),b=!0)},o(l){T(u.$$.fragment,l),b=!1},d(l){l&&o(p),l&&o(_),B(u,l)}}}function eu(k){let p,v,_,u,b;return{c(){p=a("p"),v=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),u=n("Module"),b=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(f,"CODE",{});var E=r(_);u=i(E,"Module"),E.forEach(o),b=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(l,f){g(l,p,f),e(p,v),e(p,_),e(_,u),e(p,b)},d(l){l&&o(p)}}}function tu(k){let p,v,_,u,b;return u=new Pt({props:{code:`from transformers import AutoImageProcessor, FlaxBeitForImageClassification
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("microsoft/beit-base-patch16-224")
model = FlaxBeitForImageClassification.from_pretrained("microsoft/beit-base-patch16-224")

inputs = image_processor(images=image, return_tensors="np")
outputs = model(**inputs)
logits = outputs.logits
# model predicts one of the 1000 ImageNet classes
predicted_class_idx = logits.argmax(-1).item()
print("Predicted class:", model.config.id2label[predicted_class_idx])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, FlaxBeitForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxBeitForImageClassification.from_pretrained(<span class="hljs-string">&quot;microsoft/beit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_idx = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted class:&quot;</span>, model.config.id2label[predicted_class_idx])`}}),{c(){p=a("p"),v=n("Example:"),_=c(),w(u.$$.fragment)},l(l){p=s(l,"P",{});var f=r(p);v=i(f,"Example:"),f.forEach(o),_=m(l),y(u.$$.fragment,l)},m(l,f){g(l,p,f),e(p,v),g(l,_,f),$(u,l,f),b=!0},p:Mt,i(l){b||(x(u.$$.fragment,l),b=!0)},o(l){T(u.$$.fragment,l),b=!1},d(l){l&&o(p),l&&o(_),B(u,l)}}}function ou(k){let p,v,_,u,b,l,f,E,Jn,Mr,me,Ne,is,jt,Gn,ls,Kn,Pr,R,Xn,zt,Yn,Qn,Ct,Zn,ei,At,ti,oi,jr,ua,ai,zr,ga,ds,si,Cr,_a,ri,Ar,z,F,ni,ba,ii,li,va,di,ci,St,mi,pi,wa,hi,fi,ya,ui,gi,$a,_i,bi,xa,vi,wi,yi,Nt,$i,qt,xi,Ti,Bi,Lt,ki,Ta,Ei,Ii,Fi,pe,Mi,cs,Pi,ji,Ot,zi,Ci,Ai,he,Si,Dt,Ni,qi,Vt,Li,Oi,Di,O,Vi,ms,Wi,Ri,ps,Ui,Hi,Ba,Ji,Gi,hs,Ki,Xi,Sr,qe,ip,Nr,Wt,Yi,ka,Qi,qr,U,Zi,Rt,el,tl,Ut,ol,al,Ht,sl,rl,Lr,fe,Le,fs,Jt,nl,us,il,Or,Ea,ll,Dr,Gt,Vr,Ia,le,Fa,dl,cl,Kt,ml,pl,Xt,hl,fl,Wr,Ma,ul,Rr,ue,Oe,gs,Yt,gl,_s,_l,Ur,ge,Qt,bl,Zt,vl,Pa,wl,yl,Hr,_e,eo,$l,to,xl,ja,Tl,Bl,Jr,be,De,bs,oo,kl,vs,El,Gr,Z,ao,Il,ve,Fl,za,Ml,Pl,so,jl,zl,Cl,Ve,Kr,we,We,ws,ro,Al,ys,Sl,Xr,ee,no,Nl,Ca,io,ql,Re,lo,Ll,co,Ol,Aa,Dl,Vl,Yr,ye,Ue,$s,mo,Wl,xs,Rl,Qr,D,po,Ul,Ts,Hl,Jl,He,ho,Gl,Bs,Kl,Xl,Je,fo,Yl,uo,Ql,Sa,Zl,ed,Zr,$e,Ge,ks,go,td,Es,od,en,te,_o,ad,bo,sd,vo,rd,nd,id,H,wo,ld,xe,dd,Na,cd,md,Is,pd,hd,fd,Ke,ud,Xe,tn,Te,Ye,Fs,yo,gd,Ms,_d,on,oe,$o,bd,ae,vd,qa,wd,yd,La,$d,xd,xo,Td,Bd,kd,J,To,Ed,Be,Id,Oa,Fd,Md,Ps,Pd,jd,zd,Qe,Cd,Ze,an,ke,et,js,Bo,Ad,zs,Sd,sn,V,ko,Nd,Cs,qd,Ld,Eo,Od,Io,Dd,Vd,Wd,G,Fo,Rd,Ee,Ud,Da,Hd,Jd,As,Gd,Kd,Xd,tt,Yd,ot,rn,Ie,at,Ss,Mo,Qd,Ns,Zd,nn,W,Po,ec,qs,tc,oc,jo,ac,zo,sc,rc,nc,K,Co,ic,Fe,lc,Va,dc,cc,Ls,mc,pc,hc,st,fc,rt,ln,Me,nt,Os,Ao,uc,Ds,gc,dn,M,So,_c,Vs,bc,vc,No,wc,Wa,yc,$c,xc,qo,Tc,Lo,Bc,kc,Ec,Ws,Ic,Fc,se,Rs,Oo,Mc,Pc,Us,Do,jc,zc,Hs,Vo,Cc,Ac,Js,Wo,Sc,Nc,X,Ro,qc,Pe,Lc,Gs,Oc,Dc,Ks,Vc,Wc,Rc,it,Uc,lt,cn,je,dt,Xs,Uo,Hc,Ys,Jc,mn,P,Ho,Gc,Qs,Kc,Xc,Jo,Yc,Ra,Qc,Zc,em,Go,tm,Ko,om,am,sm,Zs,rm,nm,re,er,Xo,im,lm,tr,Yo,dm,cm,or,Qo,mm,pm,ar,Zo,hm,fm,A,ea,um,ze,gm,sr,_m,bm,rr,vm,wm,ym,ct,$m,Ce,xm,nr,Tm,Bm,ir,km,Em,Im,mt,pn,Ae,pt,lr,ta,Fm,dr,Mm,hn,j,oa,Pm,cr,jm,zm,aa,Cm,Ua,Am,Sm,Nm,sa,qm,ra,Lm,Om,Dm,mr,Vm,Wm,ne,pr,na,Rm,Um,hr,ia,Hm,Jm,fr,la,Gm,Km,ur,da,Xm,Ym,Y,ca,Qm,Se,Zm,gr,ep,tp,_r,op,ap,sp,ht,rp,ft,fn;return l=new L({}),jt=new L({}),Jt=new L({}),Gt=new Of({props:{pipeline:"image-classification"}}),Yt=new L({}),Qt=new I({props:{name:"class transformers.models.beit.modeling_beit.BeitModelOutputWithPooling",anchor:"transformers.models.beit.modeling_beit.BeitModelOutputWithPooling",parameters:[{name:"last_hidden_state",val:": FloatTensor = None"},{name:"pooler_output",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.models.beit.modeling_beit.BeitModelOutputWithPooling.last_hidden_state",description:`<strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) &#x2014;
Sequence of hidden-states at the output of the last layer of the model.`,name:"last_hidden_state"},{anchor:"transformers.models.beit.modeling_beit.BeitModelOutputWithPooling.pooler_output",description:`<strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) &#x2014;
Average of the last layer hidden states of the patch tokens (excluding the <em>[CLS]</em> token) if
<em>config.use_mean_pooling</em> is set to True. If set to False, then the final hidden state of the <em>[CLS]</em> token
will be returned.`,name:"pooler_output"},{anchor:"transformers.models.beit.modeling_beit.BeitModelOutputWithPooling.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.beit.modeling_beit.BeitModelOutputWithPooling.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_beit.py#L68"}}),eo=new I({props:{name:"class transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling",anchor:"transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling",parameters:[{name:"last_hidden_state",val:": ndarray = None"},{name:"pooler_output",val:": ndarray = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[jax._src.numpy.ndarray.ndarray]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[jax._src.numpy.ndarray.ndarray]] = None"}],parametersDescription:[{anchor:"transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling.last_hidden_state",description:`<strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) &#x2014;
Sequence of hidden-states at the output of the last layer of the model.`,name:"last_hidden_state"},{anchor:"transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling.pooler_output",description:`<strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) &#x2014;
Average of the last layer hidden states of the patch tokens (excluding the <em>[CLS]</em> token) if
<em>config.use_mean_pooling</em> is set to True. If set to False, then the final hidden state of the <em>[CLS]</em> token
will be returned.`,name:"pooler_output"},{anchor:"transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of the model at the output of each layer plus
the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling.attentions",description:`<strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Attentions weights after the attention softmax, used to compute the weighted average in
the self-attention heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_flax_beit.py#L46"}}),oo=new L({}),ao=new I({props:{name:"class transformers.BeitConfig",anchor:"transformers.BeitConfig",parameters:[{name:"vocab_size",val:" = 8192"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.0"},{name:"attention_probs_dropout_prob",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"image_size",val:" = 224"},{name:"patch_size",val:" = 16"},{name:"num_channels",val:" = 3"},{name:"use_mask_token",val:" = False"},{name:"use_absolute_position_embeddings",val:" = False"},{name:"use_relative_position_bias",val:" = False"},{name:"use_shared_relative_position_bias",val:" = False"},{name:"layer_scale_init_value",val:" = 0.1"},{name:"drop_path_rate",val:" = 0.1"},{name:"use_mean_pooling",val:" = True"},{name:"out_indices",val:" = [3, 5, 7, 11]"},{name:"pool_scales",val:" = [1, 2, 3, 6]"},{name:"use_auxiliary_head",val:" = True"},{name:"auxiliary_loss_weight",val:" = 0.4"},{name:"auxiliary_channels",val:" = 256"},{name:"auxiliary_num_convs",val:" = 1"},{name:"auxiliary_concat_input",val:" = False"},{name:"semantic_loss_ignore_index",val:" = 255"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BeitConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 8092) &#x2014;
Vocabulary size of the BEiT model. Defines the number of different image tokens that can be used during
pre-training.`,name:"vocab_size"},{anchor:"transformers.BeitConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.BeitConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.BeitConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.BeitConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.BeitConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.BeitConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.BeitConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.BeitConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.BeitConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.BeitConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 224) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.BeitConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.BeitConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.BeitConfig.use_mask_token",description:`<strong>use_mask_token</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use a mask token for masked image modeling.`,name:"use_mask_token"},{anchor:"transformers.BeitConfig.use_absolute_position_embeddings",description:`<strong>use_absolute_position_embeddings</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use BERT-style absolute position embeddings.`,name:"use_absolute_position_embeddings"},{anchor:"transformers.BeitConfig.use_relative_position_bias",description:`<strong>use_relative_position_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use T5-style relative position embeddings in the self-attention layers.`,name:"use_relative_position_bias"},{anchor:"transformers.BeitConfig.use_shared_relative_position_bias",description:`<strong>use_shared_relative_position_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use the same relative position embeddings across all self-attention layers of the Transformer.`,name:"use_shared_relative_position_bias"},{anchor:"transformers.BeitConfig.layer_scale_init_value",description:`<strong>layer_scale_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
Scale to use in the self-attention layers. 0.1 for base, 1e-5 for large. Set 0 to disable layer scale.`,name:"layer_scale_init_value"},{anchor:"transformers.BeitConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
Stochastic depth rate per sample (when applied in the main path of residual layers).`,name:"drop_path_rate"},{anchor:"transformers.BeitConfig.use_mean_pooling",description:`<strong>use_mean_pooling</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to mean pool the final hidden states of the patches instead of using the final hidden state of the
CLS token, before applying the classification head.`,name:"use_mean_pooling"},{anchor:"transformers.BeitConfig.out_indices",description:`<strong>out_indices</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 5, 7, 11]</code>) &#x2014;
Indices of the feature maps to use for semantic segmentation.`,name:"out_indices"},{anchor:"transformers.BeitConfig.pool_scales",description:`<strong>pool_scales</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>[1, 2, 3, 6]</code>) &#x2014;
Pooling scales used in Pooling Pyramid Module applied on the last feature map.`,name:"pool_scales"},{anchor:"transformers.BeitConfig.use_auxiliary_head",description:`<strong>use_auxiliary_head</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use an auxiliary head during training.`,name:"use_auxiliary_head"},{anchor:"transformers.BeitConfig.auxiliary_loss_weight",description:`<strong>auxiliary_loss_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 0.4) &#x2014;
Weight of the cross-entropy loss of the auxiliary head.`,name:"auxiliary_loss_weight"},{anchor:"transformers.BeitConfig.auxiliary_channels",description:`<strong>auxiliary_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Number of channels to use in the auxiliary head.`,name:"auxiliary_channels"},{anchor:"transformers.BeitConfig.auxiliary_num_convs",description:`<strong>auxiliary_num_convs</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Number of convolutional layers to use in the auxiliary head.`,name:"auxiliary_num_convs"},{anchor:"transformers.BeitConfig.auxiliary_concat_input",description:`<strong>auxiliary_concat_input</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to concatenate the output of the auxiliary head with the input before the classification layer.`,name:"auxiliary_concat_input"},{anchor:"transformers.BeitConfig.semantic_loss_ignore_index",description:`<strong>semantic_loss_ignore_index</strong> (<code>int</code>, <em>optional</em>, defaults to 255) &#x2014;
The index that is ignored by the loss function of the semantic segmentation model.`,name:"semantic_loss_ignore_index"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/configuration_beit.py#L36"}}),Ve=new Ft({props:{anchor:"transformers.BeitConfig.example",$$slots:{default:[Df]},$$scope:{ctx:k}}}),ro=new L({}),no=new I({props:{name:"class transformers.BeitFeatureExtractor",anchor:"transformers.BeitFeatureExtractor",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/feature_extraction_beit.py#L26"}}),io=new I({props:{name:"__call__",anchor:"transformers.BeitFeatureExtractor.__call__",parameters:[{name:"images",val:""},{name:"segmentation_maps",val:" = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/image_processing_beit.py#L359"}}),lo=new I({props:{name:"post_process_semantic_segmentation",anchor:"transformers.BeitFeatureExtractor.post_process_semantic_segmentation",parameters:[{name:"outputs",val:""},{name:"target_sizes",val:": typing.List[typing.Tuple] = None"}],parametersDescription:[{anchor:"transformers.BeitFeatureExtractor.post_process_semantic_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForSemanticSegmentation">BeitForSemanticSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.BeitFeatureExtractor.post_process_semantic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code> of length <code>batch_size</code>, <em>optional</em>) &#x2014;
List of tuples corresponding to the requested final size (height, width) of each prediction. If left to
None, predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/image_processing_beit.py#L506",returnDescription:`
<p><code>List[torch.Tensor]</code> of length <code>batch_size</code>, where each item is a semantic
segmentation map of shape (height, width) corresponding to the target_sizes entry (if <code>target_sizes</code> is
specified). Each entry of each <code>torch.Tensor</code> correspond to a semantic class id.</p>
`,returnType:`
<p>semantic_segmentation</p>
`}}),mo=new L({}),po=new I({props:{name:"class transformers.BeitImageProcessor",anchor:"transformers.BeitImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BICUBIC: 3>"},{name:"do_center_crop",val:": bool = True"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_rescale",val:": bool = True"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"do_reduce_labels",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BeitImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overridden by the
<code>do_resize</code> parameter in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.BeitImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;height&quot; -- 256, &quot;width&quot;: 256}</code>):
Size of the output image after resizing. Can be overridden by the <code>size</code> parameter in the <code>preprocess</code>
method.`,name:"size"},{anchor:"transformers.BeitImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BICUBIC</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by the <code>resample</code> parameter in the
<code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.BeitImageProcessor.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to center crop the image. If the input size is smaller than <code>crop_size</code> along any edge, the image
is padded with 0&#x2019;s and then center cropped. Can be overridden by the <code>do_center_crop</code> parameter in the
<code>preprocess</code> method.`,name:"do_center_crop"},{anchor:"transformers.BeitImageProcessor.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>{&quot;height&quot; -- 224, &quot;width&quot;: 224}</code>):
Desired output size when applying center-cropping. Only has an effect if <code>do_center_crop</code> is set to <code>True</code>.
Can be overridden by the <code>crop_size</code> parameter in the <code>preprocess</code> method.`,name:"crop_size"},{anchor:"transformers.BeitImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the <code>do_rescale</code>
parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.BeitImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter in the
<code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.BeitImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.BeitImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
The mean to use if normalizing the image. This is a float or list of floats of length of the number of
channels of the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.BeitImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
The standard deviation to use if normalizing the image. This is a float or list of floats of length of the
number of channels of the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"},{anchor:"transformers.BeitImageProcessor.do_reduce_labels",description:`<strong>do_reduce_labels</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to reduce all label values of segmentation maps by 1. Usually used for datasets where 0 is
used for background, and background itself is not included in all classes of a dataset (e.g. ADE20k). The
background label will be replaced by 255. Can be overridden by the <code>do_reduce_labels</code> parameter in the
<code>preprocess</code> method.`,name:"do_reduce_labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/image_processing_beit.py#L50"}}),ho=new I({props:{name:"preprocess",anchor:"transformers.BeitImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"segmentation_maps",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')], NoneType] = None"},{name:"do_resize",val:": bool = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = None"},{name:"do_center_crop",val:": bool = None"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"do_reduce_labels",val:": typing.Optional[bool] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.BeitImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.BeitImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.BeitImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the image after resizing.`,name:"size"},{anchor:"transformers.BeitImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of the enum <code>PILImageResampling</code>, Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.BeitImageProcessor.preprocess.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_center_crop</code>) &#x2014;
Whether to center crop the image.`,name:"do_center_crop"},{anchor:"transformers.BeitImageProcessor.preprocess.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.crop_size</code>) &#x2014;
Size of the image after center crop. If one edge the image is smaller than <code>crop_size</code>, it will be
padded with zeros and then cropped`,name:"crop_size"},{anchor:"transformers.BeitImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.BeitImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.BeitImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.BeitImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.BeitImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.BeitImageProcessor.preprocess.do_reduce_labels",description:`<strong>do_reduce_labels</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_reduce_labels</code>) &#x2014;
Whether or not to reduce all label values of segmentation maps by 1. Usually used for datasets where 0
is used for background, and background itself is not included in all classes of a dataset (e.g.
ADE20k). The background label will be replaced by 255.`,name:"do_reduce_labels"},{anchor:"transformers.BeitImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.BeitImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/image_processing_beit.py#L364"}}),fo=new I({props:{name:"post_process_semantic_segmentation",anchor:"transformers.BeitImageProcessor.post_process_semantic_segmentation",parameters:[{name:"outputs",val:""},{name:"target_sizes",val:": typing.List[typing.Tuple] = None"}],parametersDescription:[{anchor:"transformers.BeitImageProcessor.post_process_semantic_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForSemanticSegmentation">BeitForSemanticSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.BeitImageProcessor.post_process_semantic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code> of length <code>batch_size</code>, <em>optional</em>) &#x2014;
List of tuples corresponding to the requested final size (height, width) of each prediction. If left to
None, predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/image_processing_beit.py#L506",returnDescription:`
<p><code>List[torch.Tensor]</code> of length <code>batch_size</code>, where each item is a semantic
segmentation map of shape (height, width) corresponding to the target_sizes entry (if <code>target_sizes</code> is
specified). Each entry of each <code>torch.Tensor</code> correspond to a semantic class id.</p>
`,returnType:`
<p>semantic_segmentation</p>
`}}),go=new L({}),_o=new I({props:{name:"class transformers.BeitModel",anchor:"transformers.BeitModel",parameters:[{name:"config",val:": BeitConfig"},{name:"add_pooling_layer",val:": bool = True"}],parametersDescription:[{anchor:"transformers.BeitModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig">BeitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_beit.py#L619"}}),wo=new I({props:{name:"forward",anchor:"transformers.BeitModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"bool_masked_pos",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BeitModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitFeatureExtractor.__call__">BeitImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.BeitModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BeitModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BeitModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BeitModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_beit.py#L646",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.models.beit.modeling_beit.BeitModelOutputWithPooling"
>transformers.models.beit.modeling_beit.BeitModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig"
>BeitConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Average of the last layer hidden states of the patch tokens (excluding the <em>[CLS]</em> token) if
<em>config.use_mean_pooling</em> is set to True. If set to False, then the final hidden state of the <em>[CLS]</em> token
will be returned.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.models.beit.modeling_beit.BeitModelOutputWithPooling"
>transformers.models.beit.modeling_beit.BeitModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ke=new fa({props:{$$slots:{default:[Vf]},$$scope:{ctx:k}}}),Xe=new Ft({props:{anchor:"transformers.BeitModel.forward.example",$$slots:{default:[Wf]},$$scope:{ctx:k}}}),yo=new L({}),$o=new I({props:{name:"class transformers.BeitForMaskedImageModeling",anchor:"transformers.BeitForMaskedImageModeling",parameters:[{name:"config",val:": BeitConfig"}],parametersDescription:[{anchor:"transformers.BeitForMaskedImageModeling.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig">BeitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_beit.py#L730"}}),To=new I({props:{name:"forward",anchor:"transformers.BeitForMaskedImageModeling.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"bool_masked_pos",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BeitForMaskedImageModeling.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitFeatureExtractor.__call__">BeitImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.BeitForMaskedImageModeling.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BeitForMaskedImageModeling.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BeitForMaskedImageModeling.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BeitForMaskedImageModeling.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.BeitForMaskedImageModeling.forward.bool_masked_pos",description:`<strong>bool_masked_pos</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, num_patches)</code>) &#x2014;
Boolean masked positions. Indicates which patches are masked (1) and which aren&#x2019;t (0).`,name:"bool_masked_pos"},{anchor:"transformers.BeitForMaskedImageModeling.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_beit.py#L744",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig"
>BeitConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Qe=new fa({props:{$$slots:{default:[Rf]},$$scope:{ctx:k}}}),Ze=new Ft({props:{anchor:"transformers.BeitForMaskedImageModeling.forward.example",$$slots:{default:[Uf]},$$scope:{ctx:k}}}),Bo=new L({}),ko=new I({props:{name:"class transformers.BeitForImageClassification",anchor:"transformers.BeitForImageClassification",parameters:[{name:"config",val:": BeitConfig"}],parametersDescription:[{anchor:"transformers.BeitForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig">BeitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_beit.py#L830"}}),Fo=new I({props:{name:"forward",anchor:"transformers.BeitForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BeitForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitFeatureExtractor.__call__">BeitImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.BeitForImageClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BeitForImageClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BeitForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BeitForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.BeitForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_beit.py#L843",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutput"
>transformers.modeling_outputs.ImageClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig"
>BeitConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states
(also called feature maps) of the model at the output of each stage.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutput"
>transformers.modeling_outputs.ImageClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),tt=new fa({props:{$$slots:{default:[Hf]},$$scope:{ctx:k}}}),ot=new Ft({props:{anchor:"transformers.BeitForImageClassification.forward.example",$$slots:{default:[Jf]},$$scope:{ctx:k}}}),Mo=new L({}),Po=new I({props:{name:"class transformers.BeitForSemanticSegmentation",anchor:"transformers.BeitForSemanticSegmentation",parameters:[{name:"config",val:": BeitConfig"}],parametersDescription:[{anchor:"transformers.BeitForSemanticSegmentation.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig">BeitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_beit.py#L1153"}}),Co=new I({props:{name:"forward",anchor:"transformers.BeitForSemanticSegmentation.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.BeitForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitFeatureExtractor.__call__">BeitImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.BeitForSemanticSegmentation.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.BeitForSemanticSegmentation.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.BeitForSemanticSegmentation.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.BeitForSemanticSegmentation.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.BeitForSemanticSegmentation.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Ground truth semantic segmentation maps for computing the loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code>, a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_beit.py#L1197",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.SemanticSegmenterOutput"
>transformers.modeling_outputs.SemanticSegmenterOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig"
>BeitConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels, logits_height, logits_width)</code>) \u2014 Classification scores for each pixel.</p>
<Tip warning={true}>
<p>The logits returned do not necessarily have the same size as the <code>pixel_values</code> passed as inputs. This is
to avoid doing two interpolations and lose some quality when a user needs to resize the logits to the
original image size as post-processing. You should always check your logits shape and resize as needed.</p>
</Tip>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, patch_size, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.SemanticSegmenterOutput"
>transformers.modeling_outputs.SemanticSegmenterOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),st=new fa({props:{$$slots:{default:[Gf]},$$scope:{ctx:k}}}),rt=new Ft({props:{anchor:"transformers.BeitForSemanticSegmentation.forward.example",$$slots:{default:[Kf]},$$scope:{ctx:k}}}),Ao=new L({}),So=new I({props:{name:"class transformers.FlaxBeitModel",anchor:"transformers.FlaxBeitModel",parameters:[{name:"config",val:": BeitConfig"},{name:"input_shape",val:" = None"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxBeitModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig">BeitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxBeitModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_flax_beit.py#L749"}}),Ro=new I({props:{name:"__call__",anchor:"transformers.FlaxBeitModel.__call__",parameters:[{name:"pixel_values",val:""},{name:"bool_masked_pos",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_flax_beit.py#L635",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling"
>transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.beit.configuration_beit.BeitConfig'&gt;</code>) and inputs.</p>
<ul>
<li><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</li>
<li><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Average of the last layer hidden states of the patch tokens (excluding the <em>[CLS]</em> token) if
<em>config.use_mean_pooling</em> is set to True. If set to False, then the final hidden state of the <em>[CLS]</em> token
will be returned.</li>
<li><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>. Hidden-states of the model at the output of each layer plus
the initial embedding outputs.</li>
<li><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>. Attentions weights after the attention softmax, used to compute the weighted average in
the self-attention heads.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling"
>transformers.models.beit.modeling_flax_beit.FlaxBeitModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),it=new fa({props:{$$slots:{default:[Xf]},$$scope:{ctx:k}}}),lt=new Ft({props:{anchor:"transformers.FlaxBeitModel.__call__.example",$$slots:{default:[Yf]},$$scope:{ctx:k}}}),Uo=new L({}),Ho=new I({props:{name:"class transformers.FlaxBeitForMaskedImageModeling",anchor:"transformers.FlaxBeitForMaskedImageModeling",parameters:[{name:"config",val:": BeitConfig"},{name:"input_shape",val:" = None"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxBeitForMaskedImageModeling.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig">BeitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxBeitForMaskedImageModeling.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_flax_beit.py#L833"}}),ea=new I({props:{name:"__call__",anchor:"transformers.FlaxBeitForMaskedImageModeling.__call__",parameters:[{name:"pixel_values",val:""},{name:"bool_masked_pos",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_flax_beit.py#L635",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.beit.configuration_beit.BeitConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ct=new fa({props:{$$slots:{default:[Qf]},$$scope:{ctx:k}}}),mt=new Ft({props:{anchor:"transformers.FlaxBeitForMaskedImageModeling.__call__.example",$$slots:{default:[Zf]},$$scope:{ctx:k}}}),ta=new L({}),oa=new I({props:{name:"class transformers.FlaxBeitForImageClassification",anchor:"transformers.FlaxBeitForImageClassification",parameters:[{name:"config",val:": BeitConfig"},{name:"input_shape",val:" = None"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxBeitForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig">BeitConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxBeitForImageClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_flax_beit.py#L920"}}),ca=new I({props:{name:"__call__",anchor:"transformers.FlaxBeitForImageClassification.__call__",parameters:[{name:"pixel_values",val:""},{name:"bool_masked_pos",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/beit/modeling_flax_beit.py#L635",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.beit.configuration_beit.BeitConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ht=new fa({props:{$$slots:{default:[eu]},$$scope:{ctx:k}}}),ft=new Ft({props:{anchor:"transformers.FlaxBeitForImageClassification.__call__.example",$$slots:{default:[tu]},$$scope:{ctx:k}}}),{c(){p=a("meta"),v=c(),_=a("h1"),u=a("a"),b=a("span"),w(l.$$.fragment),f=c(),E=a("span"),Jn=n("BEiT"),Mr=c(),me=a("h2"),Ne=a("a"),is=a("span"),w(jt.$$.fragment),Gn=c(),ls=a("span"),Kn=n("Overview"),Pr=c(),R=a("p"),Xn=n("The BEiT model was proposed in "),zt=a("a"),Yn=n("BEiT: BERT Pre-Training of Image Transformers"),Qn=n(` by
Hangbo Bao, Li Dong and Furu Wei. Inspired by BERT, BEiT is the first paper that makes self-supervised pre-training of
Vision Transformers (ViTs) outperform supervised pre-training. Rather than pre-training the model to predict the class
of an image (as done in the `),Ct=a("a"),Zn=n("original ViT paper"),ei=n(`), BEiT models are pre-trained to
predict visual tokens from the codebook of OpenAI\u2019s `),At=a("a"),ti=n("DALL-E model"),oi=n(` given masked
patches.`),jr=c(),ua=a("p"),ai=n("The abstract from the paper is the following:"),zr=c(),ga=a("p"),ds=a("em"),si=n(`We introduce a self-supervised vision representation model BEiT, which stands for Bidirectional Encoder representation
from Image Transformers. Following BERT developed in the natural language processing area, we propose a masked image
modeling task to pretrain vision Transformers. Specifically, each image has two views in our pre-training, i.e, image
patches (such as 16x16 pixels), and visual tokens (i.e., discrete tokens). We first \u201Ctokenize\u201D the original image into
visual tokens. Then we randomly mask some image patches and fed them into the backbone Transformer. The pre-training
objective is to recover the original visual tokens based on the corrupted image patches. After pre-training BEiT, we
directly fine-tune the model parameters on downstream tasks by appending task layers upon the pretrained encoder.
Experimental results on image classification and semantic segmentation show that our model achieves competitive results
with previous pre-training methods. For example, base-size BEiT achieves 83.2% top-1 accuracy on ImageNet-1K,
significantly outperforming from-scratch DeiT training (81.8%) with the same setup. Moreover, large-size BEiT obtains
86.3% only using ImageNet-1K, even outperforming ViT-L with supervised pre-training on ImageNet-22K (85.2%).`),Cr=c(),_a=a("p"),ri=n("Tips:"),Ar=c(),z=a("ul"),F=a("li"),ni=n(`BEiT models are regular Vision Transformers, but pre-trained in a self-supervised way rather than supervised. They
outperform both the `),ba=a("a"),ii=n("original model (ViT)"),li=n(" as well as "),va=a("a"),di=n("Data-efficient Image Transformers (DeiT)"),ci=n(` when fine-tuned on ImageNet-1K and CIFAR-100. You can check out demo notebooks regarding inference as well as
fine-tuning on custom data `),St=a("a"),mi=n("here"),pi=n(` (you can just replace
`),wa=a("a"),hi=n("ViTFeatureExtractor"),fi=n(" by "),ya=a("a"),ui=n("BeitImageProcessor"),gi=n(` and
`),$a=a("a"),_i=n("ViTForImageClassification"),bi=n(" by "),xa=a("a"),vi=n("BeitForImageClassification"),wi=n(")."),yi=c(),Nt=a("li"),$i=n(`There\u2019s also a demo notebook available which showcases how to combine DALL-E\u2019s image tokenizer with BEiT for
performing masked image modeling. You can find it `),qt=a("a"),xi=n("here"),Ti=n("."),Bi=c(),Lt=a("li"),ki=n(`As the BEiT models expect each image to be of the same size (resolution), one can use
`),Ta=a("a"),Ei=n("BeitImageProcessor"),Ii=n(" to resize (or rescale) and normalize images for the model."),Fi=c(),pe=a("li"),Mi=n(`Both the patch resolution and image resolution used during pre-training or fine-tuning are reflected in the name of
each checkpoint. For example, `),cs=a("code"),Pi=n("microsoft/beit-base-patch16-224"),ji=n(` refers to a base-sized architecture with patch
resolution of 16x16 and fine-tuning resolution of 224x224. All checkpoints can be found on the `),Ot=a("a"),zi=n("hub"),Ci=n("."),Ai=c(),he=a("li"),Si=n("The available checkpoints are either (1) pre-trained on "),Dt=a("a"),Ni=n("ImageNet-22k"),qi=n(` (a collection of
14 million images and 22k classes) only, (2) also fine-tuned on ImageNet-22k or (3) also fine-tuned on `),Vt=a("a"),Li=n("ImageNet-1k"),Oi=n(` (also referred to as ILSVRC 2012, a collection of 1.3 million
images and 1,000 classes).`),Di=c(),O=a("li"),Vi=n(`BEiT uses relative position embeddings, inspired by the T5 model. During pre-training, the authors shared the
relative position bias among the several self-attention layers. During fine-tuning, each layer\u2019s relative position
bias is initialized with the shared relative position bias obtained after pre-training. Note that, if one wants to
pre-train a model from scratch, one needs to either set the `),ms=a("code"),Wi=n("use_relative_position_bias"),Ri=n(` or the
`),ps=a("code"),Ui=n("use_relative_position_bias"),Hi=n(" attribute of "),Ba=a("a"),Ji=n("BeitConfig"),Gi=n(" to "),hs=a("code"),Ki=n("True"),Xi=n(` in order to add
position embeddings.`),Sr=c(),qe=a("img"),Nr=c(),Wt=a("small"),Yi=n("BEiT pre-training. Taken from the "),ka=a("a"),Qi=n("original paper."),qr=c(),U=a("p"),Zi=n("This model was contributed by "),Rt=a("a"),el=n("nielsr"),tl=n(`. The JAX/FLAX version of this model was
contributed by `),Ut=a("a"),ol=n("kamalkraj"),al=n(". The original code can be found "),Ht=a("a"),sl=n("here"),rl=n("."),Lr=c(),fe=a("h2"),Le=a("a"),fs=a("span"),w(Jt.$$.fragment),nl=c(),us=a("span"),il=n("Resources"),Or=c(),Ea=a("p"),ll=n("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with BEiT."),Dr=c(),w(Gt.$$.fragment),Vr=c(),Ia=a("ul"),le=a("li"),Fa=a("a"),dl=n("BeitForImageClassification"),cl=n(" is supported by this "),Kt=a("a"),ml=n("example script"),pl=n(" and "),Xt=a("a"),hl=n("notebook"),fl=n("."),Wr=c(),Ma=a("p"),ul=n("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Rr=c(),ue=a("h2"),Oe=a("a"),gs=a("span"),w(Yt.$$.fragment),gl=c(),_s=a("span"),_l=n("BEiT specific outputs"),Ur=c(),ge=a("div"),w(Qt.$$.fragment),bl=c(),Zt=a("p"),vl=n("Class for outputs of "),Pa=a("a"),wl=n("BeitModel"),yl=n("."),Hr=c(),_e=a("div"),w(eo.$$.fragment),$l=c(),to=a("p"),xl=n("Class for outputs of "),ja=a("a"),Tl=n("FlaxBeitModel"),Bl=n("."),Jr=c(),be=a("h2"),De=a("a"),bs=a("span"),w(oo.$$.fragment),kl=c(),vs=a("span"),El=n("BeitConfig"),Gr=c(),Z=a("div"),w(ao.$$.fragment),Il=c(),ve=a("p"),Fl=n("This is the configuration class to store the configuration of a "),za=a("a"),Ml=n("BeitModel"),Pl=n(`. It is used to instantiate an BEiT
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the BEiT
`),so=a("a"),jl=n("microsoft/beit-base-patch16-224-pt22k"),zl=n(" architecture."),Cl=c(),w(Ve.$$.fragment),Kr=c(),we=a("h2"),We=a("a"),ws=a("span"),w(ro.$$.fragment),Al=c(),ys=a("span"),Sl=n("BeitFeatureExtractor"),Xr=c(),ee=a("div"),w(no.$$.fragment),Nl=c(),Ca=a("div"),w(io.$$.fragment),ql=c(),Re=a("div"),w(lo.$$.fragment),Ll=c(),co=a("p"),Ol=n("Converts the output of "),Aa=a("a"),Dl=n("BeitForSemanticSegmentation"),Vl=n(" into semantic segmentation maps. Only supports PyTorch."),Yr=c(),ye=a("h2"),Ue=a("a"),$s=a("span"),w(mo.$$.fragment),Wl=c(),xs=a("span"),Rl=n("BeitImageProcessor"),Qr=c(),D=a("div"),w(po.$$.fragment),Ul=c(),Ts=a("p"),Hl=n("Constructs a BEiT image processor."),Jl=c(),He=a("div"),w(ho.$$.fragment),Gl=c(),Bs=a("p"),Kl=n("Preprocess an image or batch of images."),Xl=c(),Je=a("div"),w(fo.$$.fragment),Yl=c(),uo=a("p"),Ql=n("Converts the output of "),Sa=a("a"),Zl=n("BeitForSemanticSegmentation"),ed=n(" into semantic segmentation maps. Only supports PyTorch."),Zr=c(),$e=a("h2"),Ge=a("a"),ks=a("span"),w(go.$$.fragment),td=c(),Es=a("span"),od=n("BeitModel"),en=c(),te=a("div"),w(_o.$$.fragment),ad=c(),bo=a("p"),sd=n(`The bare Beit Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),vo=a("a"),rd=n("torch.nn.Module"),nd=n(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),id=c(),H=a("div"),w(wo.$$.fragment),ld=c(),xe=a("p"),dd=n("The "),Na=a("a"),cd=n("BeitModel"),md=n(" forward method, overrides the "),Is=a("code"),pd=n("__call__"),hd=n(" special method."),fd=c(),w(Ke.$$.fragment),ud=c(),w(Xe.$$.fragment),tn=c(),Te=a("h2"),Ye=a("a"),Fs=a("span"),w(yo.$$.fragment),gd=c(),Ms=a("span"),_d=n("BeitForMaskedImageModeling"),on=c(),oe=a("div"),w($o.$$.fragment),bd=c(),ae=a("p"),vd=n(`Beit Model transformer with a \u2018language\u2019 modeling head on top. BEiT does masked image modeling by predicting
visual tokens of a Vector-Quantize Variational Autoencoder (VQ-VAE), whereas other vision models like ViT and DeiT
predict RGB pixel values. As a result, this class is incompatible with `),qa=a("a"),wd=n("AutoModelForMaskedImageModeling"),yd=n(`, so you
will need to use `),La=a("a"),$d=n("BeitForMaskedImageModeling"),xd=n(` directly if you wish to do masked image modeling with BEiT.
This model is a PyTorch `),xo=a("a"),Td=n("torch.nn.Module"),Bd=n(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),kd=c(),J=a("div"),w(To.$$.fragment),Ed=c(),Be=a("p"),Id=n("The "),Oa=a("a"),Fd=n("BeitForMaskedImageModeling"),Md=n(" forward method, overrides the "),Ps=a("code"),Pd=n("__call__"),jd=n(" special method."),zd=c(),w(Qe.$$.fragment),Cd=c(),w(Ze.$$.fragment),an=c(),ke=a("h2"),et=a("a"),js=a("span"),w(Bo.$$.fragment),Ad=c(),zs=a("span"),Sd=n("BeitForImageClassification"),sn=c(),V=a("div"),w(ko.$$.fragment),Nd=c(),Cs=a("p"),qd=n(`Beit Model transformer with an image classification head on top (a linear layer on top of the average of the final
hidden states of the patch tokens) e.g. for ImageNet.`),Ld=c(),Eo=a("p"),Od=n("This model is a PyTorch "),Io=a("a"),Dd=n("torch.nn.Module"),Vd=n(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Wd=c(),G=a("div"),w(Fo.$$.fragment),Rd=c(),Ee=a("p"),Ud=n("The "),Da=a("a"),Hd=n("BeitForImageClassification"),Jd=n(" forward method, overrides the "),As=a("code"),Gd=n("__call__"),Kd=n(" special method."),Xd=c(),w(tt.$$.fragment),Yd=c(),w(ot.$$.fragment),rn=c(),Ie=a("h2"),at=a("a"),Ss=a("span"),w(Mo.$$.fragment),Qd=c(),Ns=a("span"),Zd=n("BeitForSemanticSegmentation"),nn=c(),W=a("div"),w(Po.$$.fragment),ec=c(),qs=a("p"),tc=n("Beit Model transformer with a semantic segmentation head on top e.g. for ADE20k, CityScapes."),oc=c(),jo=a("p"),ac=n("This model is a PyTorch "),zo=a("a"),sc=n("torch.nn.Module"),rc=n(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),nc=c(),K=a("div"),w(Co.$$.fragment),ic=c(),Fe=a("p"),lc=n("The "),Va=a("a"),dc=n("BeitForSemanticSegmentation"),cc=n(" forward method, overrides the "),Ls=a("code"),mc=n("__call__"),pc=n(" special method."),hc=c(),w(st.$$.fragment),fc=c(),w(rt.$$.fragment),ln=c(),Me=a("h2"),nt=a("a"),Os=a("span"),w(Ao.$$.fragment),uc=c(),Ds=a("span"),gc=n("FlaxBeitModel"),dn=c(),M=a("div"),w(So.$$.fragment),_c=c(),Vs=a("p"),bc=n("The bare Beit Model transformer outputting raw hidden-states without any specific head on top."),vc=c(),No=a("p"),wc=n("This model inherits from "),Wa=a("a"),yc=n("FlaxPreTrainedModel"),$c=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),xc=c(),qo=a("p"),Tc=n("This model is also a Flax Linen "),Lo=a("a"),Bc=n("flax.linen.Module"),kc=n(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ec=c(),Ws=a("p"),Ic=n("Finally, this model supports inherent JAX features such as:"),Fc=c(),se=a("ul"),Rs=a("li"),Oo=a("a"),Mc=n("Just-In-Time (JIT) compilation"),Pc=c(),Us=a("li"),Do=a("a"),jc=n("Automatic Differentiation"),zc=c(),Hs=a("li"),Vo=a("a"),Cc=n("Vectorization"),Ac=c(),Js=a("li"),Wo=a("a"),Sc=n("Parallelization"),Nc=c(),X=a("div"),w(Ro.$$.fragment),qc=c(),Pe=a("p"),Lc=n("The "),Gs=a("code"),Oc=n("FlaxBeitPreTrainedModel"),Dc=n(" forward method, overrides the "),Ks=a("code"),Vc=n("__call__"),Wc=n(" special method."),Rc=c(),w(it.$$.fragment),Uc=c(),w(lt.$$.fragment),cn=c(),je=a("h2"),dt=a("a"),Xs=a("span"),w(Uo.$$.fragment),Hc=c(),Ys=a("span"),Jc=n("FlaxBeitForMaskedImageModeling"),mn=c(),P=a("div"),w(Ho.$$.fragment),Gc=c(),Qs=a("p"),Kc=n("Beit Model transformer with a \u2018language\u2019 modeling head on top (to predict visual tokens)."),Xc=c(),Jo=a("p"),Yc=n("This model inherits from "),Ra=a("a"),Qc=n("FlaxPreTrainedModel"),Zc=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),em=c(),Go=a("p"),tm=n("This model is also a Flax Linen "),Ko=a("a"),om=n("flax.linen.Module"),am=n(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),sm=c(),Zs=a("p"),rm=n("Finally, this model supports inherent JAX features such as:"),nm=c(),re=a("ul"),er=a("li"),Xo=a("a"),im=n("Just-In-Time (JIT) compilation"),lm=c(),tr=a("li"),Yo=a("a"),dm=n("Automatic Differentiation"),cm=c(),or=a("li"),Qo=a("a"),mm=n("Vectorization"),pm=c(),ar=a("li"),Zo=a("a"),hm=n("Parallelization"),fm=c(),A=a("div"),w(ea.$$.fragment),um=c(),ze=a("p"),gm=n("The "),sr=a("code"),_m=n("FlaxBeitPreTrainedModel"),bm=n(" forward method, overrides the "),rr=a("code"),vm=n("__call__"),wm=n(" special method."),ym=c(),w(ct.$$.fragment),$m=c(),Ce=a("p"),xm=n("bool_masked_pos ("),nr=a("code"),Tm=n("numpy.ndarray"),Bm=n(" of shape "),ir=a("code"),km=n("(batch_size, num_patches)"),Em=n(`):
Boolean masked positions. Indicates which patches are masked (1) and which aren\u2019t (0).`),Im=c(),w(mt.$$.fragment),pn=c(),Ae=a("h2"),pt=a("a"),lr=a("span"),w(ta.$$.fragment),Fm=c(),dr=a("span"),Mm=n("FlaxBeitForImageClassification"),hn=c(),j=a("div"),w(oa.$$.fragment),Pm=c(),cr=a("p"),jm=n(`Beit Model transformer with an image classification head on top (a linear layer on top of the average of the final
hidden states of the patch tokens) e.g. for ImageNet.`),zm=c(),aa=a("p"),Cm=n("This model inherits from "),Ua=a("a"),Am=n("FlaxPreTrainedModel"),Sm=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Nm=c(),sa=a("p"),qm=n("This model is also a Flax Linen "),ra=a("a"),Lm=n("flax.linen.Module"),Om=n(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Dm=c(),mr=a("p"),Vm=n("Finally, this model supports inherent JAX features such as:"),Wm=c(),ne=a("ul"),pr=a("li"),na=a("a"),Rm=n("Just-In-Time (JIT) compilation"),Um=c(),hr=a("li"),ia=a("a"),Hm=n("Automatic Differentiation"),Jm=c(),fr=a("li"),la=a("a"),Gm=n("Vectorization"),Km=c(),ur=a("li"),da=a("a"),Xm=n("Parallelization"),Ym=c(),Y=a("div"),w(ca.$$.fragment),Qm=c(),Se=a("p"),Zm=n("The "),gr=a("code"),ep=n("FlaxBeitPreTrainedModel"),tp=n(" forward method, overrides the "),_r=a("code"),op=n("__call__"),ap=n(" special method."),sp=c(),w(ht.$$.fragment),rp=c(),w(ft.$$.fragment),this.h()},l(t){const h=Nf('[data-svelte="svelte-1phssyn"]',document.head);p=s(h,"META",{name:!0,content:!0}),h.forEach(o),v=m(t),_=s(t,"H1",{class:!0});var ma=r(_);u=s(ma,"A",{id:!0,class:!0,href:!0});var br=r(u);b=s(br,"SPAN",{});var vr=r(b);y(l.$$.fragment,vr),vr.forEach(o),br.forEach(o),f=m(ma),E=s(ma,"SPAN",{});var wr=r(E);Jn=i(wr,"BEiT"),wr.forEach(o),ma.forEach(o),Mr=m(t),me=s(t,"H2",{class:!0});var pa=r(me);Ne=s(pa,"A",{id:!0,class:!0,href:!0});var yr=r(Ne);is=s(yr,"SPAN",{});var $r=r(is);y(jt.$$.fragment,$r),$r.forEach(o),yr.forEach(o),Gn=m(pa),ls=s(pa,"SPAN",{});var xr=r(ls);Kn=i(xr,"Overview"),xr.forEach(o),pa.forEach(o),Pr=m(t),R=s(t,"P",{});var ie=r(R);Xn=i(ie,"The BEiT model was proposed in "),zt=s(ie,"A",{href:!0,rel:!0});var Tr=r(zt);Yn=i(Tr,"BEiT: BERT Pre-Training of Image Transformers"),Tr.forEach(o),Qn=i(ie,` by
Hangbo Bao, Li Dong and Furu Wei. Inspired by BERT, BEiT is the first paper that makes self-supervised pre-training of
Vision Transformers (ViTs) outperform supervised pre-training. Rather than pre-training the model to predict the class
of an image (as done in the `),Ct=s(ie,"A",{href:!0,rel:!0});var Br=r(Ct);Zn=i(Br,"original ViT paper"),Br.forEach(o),ei=i(ie,`), BEiT models are pre-trained to
predict visual tokens from the codebook of OpenAI\u2019s `),At=s(ie,"A",{href:!0,rel:!0});var kr=r(At);ti=i(kr,"DALL-E model"),kr.forEach(o),oi=i(ie,` given masked
patches.`),ie.forEach(o),jr=m(t),ua=s(t,"P",{});var Er=r(ua);ai=i(Er,"The abstract from the paper is the following:"),Er.forEach(o),zr=m(t),ga=s(t,"P",{});var Ir=r(ga);ds=s(Ir,"EM",{});var Fr=r(ds);si=i(Fr,`We introduce a self-supervised vision representation model BEiT, which stands for Bidirectional Encoder representation
from Image Transformers. Following BERT developed in the natural language processing area, we propose a masked image
modeling task to pretrain vision Transformers. Specifically, each image has two views in our pre-training, i.e, image
patches (such as 16x16 pixels), and visual tokens (i.e., discrete tokens). We first \u201Ctokenize\u201D the original image into
visual tokens. Then we randomly mask some image patches and fed them into the backbone Transformer. The pre-training
objective is to recover the original visual tokens based on the corrupted image patches. After pre-training BEiT, we
directly fine-tune the model parameters on downstream tasks by appending task layers upon the pretrained encoder.
Experimental results on image classification and semantic segmentation show that our model achieves competitive results
with previous pre-training methods. For example, base-size BEiT achieves 83.2% top-1 accuracy on ImageNet-1K,
significantly outperforming from-scratch DeiT training (81.8%) with the same setup. Moreover, large-size BEiT obtains
86.3% only using ImageNet-1K, even outperforming ViT-L with supervised pre-training on ImageNet-22K (85.2%).`),Fr.forEach(o),Ir.forEach(o),Cr=m(t),_a=s(t,"P",{});var lp=r(_a);ri=i(lp,"Tips:"),lp.forEach(o),Ar=m(t),z=s(t,"UL",{});var Q=r(z);F=s(Q,"LI",{});var C=r(F);ni=i(C,`BEiT models are regular Vision Transformers, but pre-trained in a self-supervised way rather than supervised. They
outperform both the `),ba=s(C,"A",{href:!0});var dp=r(ba);ii=i(dp,"original model (ViT)"),dp.forEach(o),li=i(C," as well as "),va=s(C,"A",{href:!0});var cp=r(va);di=i(cp,"Data-efficient Image Transformers (DeiT)"),cp.forEach(o),ci=i(C,` when fine-tuned on ImageNet-1K and CIFAR-100. You can check out demo notebooks regarding inference as well as
fine-tuning on custom data `),St=s(C,"A",{href:!0,rel:!0});var mp=r(St);mi=i(mp,"here"),mp.forEach(o),pi=i(C,` (you can just replace
`),wa=s(C,"A",{href:!0});var pp=r(wa);hi=i(pp,"ViTFeatureExtractor"),pp.forEach(o),fi=i(C," by "),ya=s(C,"A",{href:!0});var hp=r(ya);ui=i(hp,"BeitImageProcessor"),hp.forEach(o),gi=i(C,` and
`),$a=s(C,"A",{href:!0});var fp=r($a);_i=i(fp,"ViTForImageClassification"),fp.forEach(o),bi=i(C," by "),xa=s(C,"A",{href:!0});var up=r(xa);vi=i(up,"BeitForImageClassification"),up.forEach(o),wi=i(C,")."),C.forEach(o),yi=m(Q),Nt=s(Q,"LI",{});var un=r(Nt);$i=i(un,`There\u2019s also a demo notebook available which showcases how to combine DALL-E\u2019s image tokenizer with BEiT for
performing masked image modeling. You can find it `),qt=s(un,"A",{href:!0,rel:!0});var gp=r(qt);xi=i(gp,"here"),gp.forEach(o),Ti=i(un,"."),un.forEach(o),Bi=m(Q),Lt=s(Q,"LI",{});var gn=r(Lt);ki=i(gn,`As the BEiT models expect each image to be of the same size (resolution), one can use
`),Ta=s(gn,"A",{href:!0});var _p=r(Ta);Ei=i(_p,"BeitImageProcessor"),_p.forEach(o),Ii=i(gn," to resize (or rescale) and normalize images for the model."),gn.forEach(o),Fi=m(Q),pe=s(Q,"LI",{});var Ha=r(pe);Mi=i(Ha,`Both the patch resolution and image resolution used during pre-training or fine-tuning are reflected in the name of
each checkpoint. For example, `),cs=s(Ha,"CODE",{});var bp=r(cs);Pi=i(bp,"microsoft/beit-base-patch16-224"),bp.forEach(o),ji=i(Ha,` refers to a base-sized architecture with patch
resolution of 16x16 and fine-tuning resolution of 224x224. All checkpoints can be found on the `),Ot=s(Ha,"A",{href:!0,rel:!0});var vp=r(Ot);zi=i(vp,"hub"),vp.forEach(o),Ci=i(Ha,"."),Ha.forEach(o),Ai=m(Q),he=s(Q,"LI",{});var Ja=r(he);Si=i(Ja,"The available checkpoints are either (1) pre-trained on "),Dt=s(Ja,"A",{href:!0,rel:!0});var wp=r(Dt);Ni=i(wp,"ImageNet-22k"),wp.forEach(o),qi=i(Ja,` (a collection of
14 million images and 22k classes) only, (2) also fine-tuned on ImageNet-22k or (3) also fine-tuned on `),Vt=s(Ja,"A",{href:!0,rel:!0});var yp=r(Vt);Li=i(yp,"ImageNet-1k"),yp.forEach(o),Oi=i(Ja,` (also referred to as ILSVRC 2012, a collection of 1.3 million
images and 1,000 classes).`),Ja.forEach(o),Di=m(Q),O=s(Q,"LI",{});var de=r(O);Vi=i(de,`BEiT uses relative position embeddings, inspired by the T5 model. During pre-training, the authors shared the
relative position bias among the several self-attention layers. During fine-tuning, each layer\u2019s relative position
bias is initialized with the shared relative position bias obtained after pre-training. Note that, if one wants to
pre-train a model from scratch, one needs to either set the `),ms=s(de,"CODE",{});var $p=r(ms);Wi=i($p,"use_relative_position_bias"),$p.forEach(o),Ri=i(de,` or the
`),ps=s(de,"CODE",{});var xp=r(ps);Ui=i(xp,"use_relative_position_bias"),xp.forEach(o),Hi=i(de," attribute of "),Ba=s(de,"A",{href:!0});var Tp=r(Ba);Ji=i(Tp,"BeitConfig"),Tp.forEach(o),Gi=i(de," to "),hs=s(de,"CODE",{});var Bp=r(hs);Ki=i(Bp,"True"),Bp.forEach(o),Xi=i(de,` in order to add
position embeddings.`),de.forEach(o),Q.forEach(o),Sr=m(t),qe=s(t,"IMG",{src:!0,alt:!0,width:!0}),Nr=m(t),Wt=s(t,"SMALL",{});var np=r(Wt);Yi=i(np,"BEiT pre-training. Taken from the "),ka=s(np,"A",{href:!0});var kp=r(ka);Qi=i(kp,"original paper."),kp.forEach(o),np.forEach(o),qr=m(t),U=s(t,"P",{});var ut=r(U);Zi=i(ut,"This model was contributed by "),Rt=s(ut,"A",{href:!0,rel:!0});var Ep=r(Rt);el=i(Ep,"nielsr"),Ep.forEach(o),tl=i(ut,`. The JAX/FLAX version of this model was
contributed by `),Ut=s(ut,"A",{href:!0,rel:!0});var Ip=r(Ut);ol=i(Ip,"kamalkraj"),Ip.forEach(o),al=i(ut,". The original code can be found "),Ht=s(ut,"A",{href:!0,rel:!0});var Fp=r(Ht);sl=i(Fp,"here"),Fp.forEach(o),rl=i(ut,"."),ut.forEach(o),Lr=m(t),fe=s(t,"H2",{class:!0});var _n=r(fe);Le=s(_n,"A",{id:!0,class:!0,href:!0});var Mp=r(Le);fs=s(Mp,"SPAN",{});var Pp=r(fs);y(Jt.$$.fragment,Pp),Pp.forEach(o),Mp.forEach(o),nl=m(_n),us=s(_n,"SPAN",{});var jp=r(us);il=i(jp,"Resources"),jp.forEach(o),_n.forEach(o),Or=m(t),Ea=s(t,"P",{});var zp=r(Ea);ll=i(zp,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with BEiT."),zp.forEach(o),Dr=m(t),y(Gt.$$.fragment,t),Vr=m(t),Ia=s(t,"UL",{});var Cp=r(Ia);le=s(Cp,"LI",{});var ha=r(le);Fa=s(ha,"A",{href:!0});var Ap=r(Fa);dl=i(Ap,"BeitForImageClassification"),Ap.forEach(o),cl=i(ha," is supported by this "),Kt=s(ha,"A",{href:!0,rel:!0});var Sp=r(Kt);ml=i(Sp,"example script"),Sp.forEach(o),pl=i(ha," and "),Xt=s(ha,"A",{href:!0,rel:!0});var Np=r(Xt);hl=i(Np,"notebook"),Np.forEach(o),fl=i(ha,"."),ha.forEach(o),Cp.forEach(o),Wr=m(t),Ma=s(t,"P",{});var qp=r(Ma);ul=i(qp,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),qp.forEach(o),Rr=m(t),ue=s(t,"H2",{class:!0});var bn=r(ue);Oe=s(bn,"A",{id:!0,class:!0,href:!0});var Lp=r(Oe);gs=s(Lp,"SPAN",{});var Op=r(gs);y(Yt.$$.fragment,Op),Op.forEach(o),Lp.forEach(o),gl=m(bn),_s=s(bn,"SPAN",{});var Dp=r(_s);_l=i(Dp,"BEiT specific outputs"),Dp.forEach(o),bn.forEach(o),Ur=m(t),ge=s(t,"DIV",{class:!0});var vn=r(ge);y(Qt.$$.fragment,vn),bl=m(vn),Zt=s(vn,"P",{});var wn=r(Zt);vl=i(wn,"Class for outputs of "),Pa=s(wn,"A",{href:!0});var Vp=r(Pa);wl=i(Vp,"BeitModel"),Vp.forEach(o),yl=i(wn,"."),wn.forEach(o),vn.forEach(o),Hr=m(t),_e=s(t,"DIV",{class:!0});var yn=r(_e);y(eo.$$.fragment,yn),$l=m(yn),to=s(yn,"P",{});var $n=r(to);xl=i($n,"Class for outputs of "),ja=s($n,"A",{href:!0});var Wp=r(ja);Tl=i(Wp,"FlaxBeitModel"),Wp.forEach(o),Bl=i($n,"."),$n.forEach(o),yn.forEach(o),Jr=m(t),be=s(t,"H2",{class:!0});var xn=r(be);De=s(xn,"A",{id:!0,class:!0,href:!0});var Rp=r(De);bs=s(Rp,"SPAN",{});var Up=r(bs);y(oo.$$.fragment,Up),Up.forEach(o),Rp.forEach(o),kl=m(xn),vs=s(xn,"SPAN",{});var Hp=r(vs);El=i(Hp,"BeitConfig"),Hp.forEach(o),xn.forEach(o),Gr=m(t),Z=s(t,"DIV",{class:!0});var Ga=r(Z);y(ao.$$.fragment,Ga),Il=m(Ga),ve=s(Ga,"P",{});var Ka=r(ve);Fl=i(Ka,"This is the configuration class to store the configuration of a "),za=s(Ka,"A",{href:!0});var Jp=r(za);Ml=i(Jp,"BeitModel"),Jp.forEach(o),Pl=i(Ka,`. It is used to instantiate an BEiT
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the BEiT
`),so=s(Ka,"A",{href:!0,rel:!0});var Gp=r(so);jl=i(Gp,"microsoft/beit-base-patch16-224-pt22k"),Gp.forEach(o),zl=i(Ka," architecture."),Ka.forEach(o),Cl=m(Ga),y(Ve.$$.fragment,Ga),Ga.forEach(o),Kr=m(t),we=s(t,"H2",{class:!0});var Tn=r(we);We=s(Tn,"A",{id:!0,class:!0,href:!0});var Kp=r(We);ws=s(Kp,"SPAN",{});var Xp=r(ws);y(ro.$$.fragment,Xp),Xp.forEach(o),Kp.forEach(o),Al=m(Tn),ys=s(Tn,"SPAN",{});var Yp=r(ys);Sl=i(Yp,"BeitFeatureExtractor"),Yp.forEach(o),Tn.forEach(o),Xr=m(t),ee=s(t,"DIV",{class:!0});var Xa=r(ee);y(no.$$.fragment,Xa),Nl=m(Xa),Ca=s(Xa,"DIV",{class:!0});var Qp=r(Ca);y(io.$$.fragment,Qp),Qp.forEach(o),ql=m(Xa),Re=s(Xa,"DIV",{class:!0});var Bn=r(Re);y(lo.$$.fragment,Bn),Ll=m(Bn),co=s(Bn,"P",{});var kn=r(co);Ol=i(kn,"Converts the output of "),Aa=s(kn,"A",{href:!0});var Zp=r(Aa);Dl=i(Zp,"BeitForSemanticSegmentation"),Zp.forEach(o),Vl=i(kn," into semantic segmentation maps. Only supports PyTorch."),kn.forEach(o),Bn.forEach(o),Xa.forEach(o),Yr=m(t),ye=s(t,"H2",{class:!0});var En=r(ye);Ue=s(En,"A",{id:!0,class:!0,href:!0});var eh=r(Ue);$s=s(eh,"SPAN",{});var th=r($s);y(mo.$$.fragment,th),th.forEach(o),eh.forEach(o),Wl=m(En),xs=s(En,"SPAN",{});var oh=r(xs);Rl=i(oh,"BeitImageProcessor"),oh.forEach(o),En.forEach(o),Qr=m(t),D=s(t,"DIV",{class:!0});var gt=r(D);y(po.$$.fragment,gt),Ul=m(gt),Ts=s(gt,"P",{});var ah=r(Ts);Hl=i(ah,"Constructs a BEiT image processor."),ah.forEach(o),Jl=m(gt),He=s(gt,"DIV",{class:!0});var In=r(He);y(ho.$$.fragment,In),Gl=m(In),Bs=s(In,"P",{});var sh=r(Bs);Kl=i(sh,"Preprocess an image or batch of images."),sh.forEach(o),In.forEach(o),Xl=m(gt),Je=s(gt,"DIV",{class:!0});var Fn=r(Je);y(fo.$$.fragment,Fn),Yl=m(Fn),uo=s(Fn,"P",{});var Mn=r(uo);Ql=i(Mn,"Converts the output of "),Sa=s(Mn,"A",{href:!0});var rh=r(Sa);Zl=i(rh,"BeitForSemanticSegmentation"),rh.forEach(o),ed=i(Mn," into semantic segmentation maps. Only supports PyTorch."),Mn.forEach(o),Fn.forEach(o),gt.forEach(o),Zr=m(t),$e=s(t,"H2",{class:!0});var Pn=r($e);Ge=s(Pn,"A",{id:!0,class:!0,href:!0});var nh=r(Ge);ks=s(nh,"SPAN",{});var ih=r(ks);y(go.$$.fragment,ih),ih.forEach(o),nh.forEach(o),td=m(Pn),Es=s(Pn,"SPAN",{});var lh=r(Es);od=i(lh,"BeitModel"),lh.forEach(o),Pn.forEach(o),en=m(t),te=s(t,"DIV",{class:!0});var Ya=r(te);y(_o.$$.fragment,Ya),ad=m(Ya),bo=s(Ya,"P",{});var jn=r(bo);sd=i(jn,`The bare Beit Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),vo=s(jn,"A",{href:!0,rel:!0});var dh=r(vo);rd=i(dh,"torch.nn.Module"),dh.forEach(o),nd=i(jn,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),jn.forEach(o),id=m(Ya),H=s(Ya,"DIV",{class:!0});var _t=r(H);y(wo.$$.fragment,_t),ld=m(_t),xe=s(_t,"P",{});var Qa=r(xe);dd=i(Qa,"The "),Na=s(Qa,"A",{href:!0});var ch=r(Na);cd=i(ch,"BeitModel"),ch.forEach(o),md=i(Qa," forward method, overrides the "),Is=s(Qa,"CODE",{});var mh=r(Is);pd=i(mh,"__call__"),mh.forEach(o),hd=i(Qa," special method."),Qa.forEach(o),fd=m(_t),y(Ke.$$.fragment,_t),ud=m(_t),y(Xe.$$.fragment,_t),_t.forEach(o),Ya.forEach(o),tn=m(t),Te=s(t,"H2",{class:!0});var zn=r(Te);Ye=s(zn,"A",{id:!0,class:!0,href:!0});var ph=r(Ye);Fs=s(ph,"SPAN",{});var hh=r(Fs);y(yo.$$.fragment,hh),hh.forEach(o),ph.forEach(o),gd=m(zn),Ms=s(zn,"SPAN",{});var fh=r(Ms);_d=i(fh,"BeitForMaskedImageModeling"),fh.forEach(o),zn.forEach(o),on=m(t),oe=s(t,"DIV",{class:!0});var Za=r(oe);y($o.$$.fragment,Za),bd=m(Za),ae=s(Za,"P",{});var bt=r(ae);vd=i(bt,`Beit Model transformer with a \u2018language\u2019 modeling head on top. BEiT does masked image modeling by predicting
visual tokens of a Vector-Quantize Variational Autoencoder (VQ-VAE), whereas other vision models like ViT and DeiT
predict RGB pixel values. As a result, this class is incompatible with `),qa=s(bt,"A",{href:!0});var uh=r(qa);wd=i(uh,"AutoModelForMaskedImageModeling"),uh.forEach(o),yd=i(bt,`, so you
will need to use `),La=s(bt,"A",{href:!0});var gh=r(La);$d=i(gh,"BeitForMaskedImageModeling"),gh.forEach(o),xd=i(bt,` directly if you wish to do masked image modeling with BEiT.
This model is a PyTorch `),xo=s(bt,"A",{href:!0,rel:!0});var _h=r(xo);Td=i(_h,"torch.nn.Module"),_h.forEach(o),Bd=i(bt,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),bt.forEach(o),kd=m(Za),J=s(Za,"DIV",{class:!0});var vt=r(J);y(To.$$.fragment,vt),Ed=m(vt),Be=s(vt,"P",{});var es=r(Be);Id=i(es,"The "),Oa=s(es,"A",{href:!0});var bh=r(Oa);Fd=i(bh,"BeitForMaskedImageModeling"),bh.forEach(o),Md=i(es," forward method, overrides the "),Ps=s(es,"CODE",{});var vh=r(Ps);Pd=i(vh,"__call__"),vh.forEach(o),jd=i(es," special method."),es.forEach(o),zd=m(vt),y(Qe.$$.fragment,vt),Cd=m(vt),y(Ze.$$.fragment,vt),vt.forEach(o),Za.forEach(o),an=m(t),ke=s(t,"H2",{class:!0});var Cn=r(ke);et=s(Cn,"A",{id:!0,class:!0,href:!0});var wh=r(et);js=s(wh,"SPAN",{});var yh=r(js);y(Bo.$$.fragment,yh),yh.forEach(o),wh.forEach(o),Ad=m(Cn),zs=s(Cn,"SPAN",{});var $h=r(zs);Sd=i($h,"BeitForImageClassification"),$h.forEach(o),Cn.forEach(o),sn=m(t),V=s(t,"DIV",{class:!0});var wt=r(V);y(ko.$$.fragment,wt),Nd=m(wt),Cs=s(wt,"P",{});var xh=r(Cs);qd=i(xh,`Beit Model transformer with an image classification head on top (a linear layer on top of the average of the final
hidden states of the patch tokens) e.g. for ImageNet.`),xh.forEach(o),Ld=m(wt),Eo=s(wt,"P",{});var An=r(Eo);Od=i(An,"This model is a PyTorch "),Io=s(An,"A",{href:!0,rel:!0});var Th=r(Io);Dd=i(Th,"torch.nn.Module"),Th.forEach(o),Vd=i(An,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),An.forEach(o),Wd=m(wt),G=s(wt,"DIV",{class:!0});var yt=r(G);y(Fo.$$.fragment,yt),Rd=m(yt),Ee=s(yt,"P",{});var ts=r(Ee);Ud=i(ts,"The "),Da=s(ts,"A",{href:!0});var Bh=r(Da);Hd=i(Bh,"BeitForImageClassification"),Bh.forEach(o),Jd=i(ts," forward method, overrides the "),As=s(ts,"CODE",{});var kh=r(As);Gd=i(kh,"__call__"),kh.forEach(o),Kd=i(ts," special method."),ts.forEach(o),Xd=m(yt),y(tt.$$.fragment,yt),Yd=m(yt),y(ot.$$.fragment,yt),yt.forEach(o),wt.forEach(o),rn=m(t),Ie=s(t,"H2",{class:!0});var Sn=r(Ie);at=s(Sn,"A",{id:!0,class:!0,href:!0});var Eh=r(at);Ss=s(Eh,"SPAN",{});var Ih=r(Ss);y(Mo.$$.fragment,Ih),Ih.forEach(o),Eh.forEach(o),Qd=m(Sn),Ns=s(Sn,"SPAN",{});var Fh=r(Ns);Zd=i(Fh,"BeitForSemanticSegmentation"),Fh.forEach(o),Sn.forEach(o),nn=m(t),W=s(t,"DIV",{class:!0});var $t=r(W);y(Po.$$.fragment,$t),ec=m($t),qs=s($t,"P",{});var Mh=r(qs);tc=i(Mh,"Beit Model transformer with a semantic segmentation head on top e.g. for ADE20k, CityScapes."),Mh.forEach(o),oc=m($t),jo=s($t,"P",{});var Nn=r(jo);ac=i(Nn,"This model is a PyTorch "),zo=s(Nn,"A",{href:!0,rel:!0});var Ph=r(zo);sc=i(Ph,"torch.nn.Module"),Ph.forEach(o),rc=i(Nn,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Nn.forEach(o),nc=m($t),K=s($t,"DIV",{class:!0});var xt=r(K);y(Co.$$.fragment,xt),ic=m(xt),Fe=s(xt,"P",{});var os=r(Fe);lc=i(os,"The "),Va=s(os,"A",{href:!0});var jh=r(Va);dc=i(jh,"BeitForSemanticSegmentation"),jh.forEach(o),cc=i(os," forward method, overrides the "),Ls=s(os,"CODE",{});var zh=r(Ls);mc=i(zh,"__call__"),zh.forEach(o),pc=i(os," special method."),os.forEach(o),hc=m(xt),y(st.$$.fragment,xt),fc=m(xt),y(rt.$$.fragment,xt),xt.forEach(o),$t.forEach(o),ln=m(t),Me=s(t,"H2",{class:!0});var qn=r(Me);nt=s(qn,"A",{id:!0,class:!0,href:!0});var Ch=r(nt);Os=s(Ch,"SPAN",{});var Ah=r(Os);y(Ao.$$.fragment,Ah),Ah.forEach(o),Ch.forEach(o),uc=m(qn),Ds=s(qn,"SPAN",{});var Sh=r(Ds);gc=i(Sh,"FlaxBeitModel"),Sh.forEach(o),qn.forEach(o),dn=m(t),M=s(t,"DIV",{class:!0});var S=r(M);y(So.$$.fragment,S),_c=m(S),Vs=s(S,"P",{});var Nh=r(Vs);bc=i(Nh,"The bare Beit Model transformer outputting raw hidden-states without any specific head on top."),Nh.forEach(o),vc=m(S),No=s(S,"P",{});var Ln=r(No);wc=i(Ln,"This model inherits from "),Wa=s(Ln,"A",{href:!0});var qh=r(Wa);yc=i(qh,"FlaxPreTrainedModel"),qh.forEach(o),$c=i(Ln,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ln.forEach(o),xc=m(S),qo=s(S,"P",{});var On=r(qo);Tc=i(On,"This model is also a Flax Linen "),Lo=s(On,"A",{href:!0,rel:!0});var Lh=r(Lo);Bc=i(Lh,"flax.linen.Module"),Lh.forEach(o),kc=i(On,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),On.forEach(o),Ec=m(S),Ws=s(S,"P",{});var Oh=r(Ws);Ic=i(Oh,"Finally, this model supports inherent JAX features such as:"),Oh.forEach(o),Fc=m(S),se=s(S,"UL",{});var Tt=r(se);Rs=s(Tt,"LI",{});var Dh=r(Rs);Oo=s(Dh,"A",{href:!0,rel:!0});var Vh=r(Oo);Mc=i(Vh,"Just-In-Time (JIT) compilation"),Vh.forEach(o),Dh.forEach(o),Pc=m(Tt),Us=s(Tt,"LI",{});var Wh=r(Us);Do=s(Wh,"A",{href:!0,rel:!0});var Rh=r(Do);jc=i(Rh,"Automatic Differentiation"),Rh.forEach(o),Wh.forEach(o),zc=m(Tt),Hs=s(Tt,"LI",{});var Uh=r(Hs);Vo=s(Uh,"A",{href:!0,rel:!0});var Hh=r(Vo);Cc=i(Hh,"Vectorization"),Hh.forEach(o),Uh.forEach(o),Ac=m(Tt),Js=s(Tt,"LI",{});var Jh=r(Js);Wo=s(Jh,"A",{href:!0,rel:!0});var Gh=r(Wo);Sc=i(Gh,"Parallelization"),Gh.forEach(o),Jh.forEach(o),Tt.forEach(o),Nc=m(S),X=s(S,"DIV",{class:!0});var Bt=r(X);y(Ro.$$.fragment,Bt),qc=m(Bt),Pe=s(Bt,"P",{});var as=r(Pe);Lc=i(as,"The "),Gs=s(as,"CODE",{});var Kh=r(Gs);Oc=i(Kh,"FlaxBeitPreTrainedModel"),Kh.forEach(o),Dc=i(as," forward method, overrides the "),Ks=s(as,"CODE",{});var Xh=r(Ks);Vc=i(Xh,"__call__"),Xh.forEach(o),Wc=i(as," special method."),as.forEach(o),Rc=m(Bt),y(it.$$.fragment,Bt),Uc=m(Bt),y(lt.$$.fragment,Bt),Bt.forEach(o),S.forEach(o),cn=m(t),je=s(t,"H2",{class:!0});var Dn=r(je);dt=s(Dn,"A",{id:!0,class:!0,href:!0});var Yh=r(dt);Xs=s(Yh,"SPAN",{});var Qh=r(Xs);y(Uo.$$.fragment,Qh),Qh.forEach(o),Yh.forEach(o),Hc=m(Dn),Ys=s(Dn,"SPAN",{});var Zh=r(Ys);Jc=i(Zh,"FlaxBeitForMaskedImageModeling"),Zh.forEach(o),Dn.forEach(o),mn=m(t),P=s(t,"DIV",{class:!0});var N=r(P);y(Ho.$$.fragment,N),Gc=m(N),Qs=s(N,"P",{});var ef=r(Qs);Kc=i(ef,"Beit Model transformer with a \u2018language\u2019 modeling head on top (to predict visual tokens)."),ef.forEach(o),Xc=m(N),Jo=s(N,"P",{});var Vn=r(Jo);Yc=i(Vn,"This model inherits from "),Ra=s(Vn,"A",{href:!0});var tf=r(Ra);Qc=i(tf,"FlaxPreTrainedModel"),tf.forEach(o),Zc=i(Vn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Vn.forEach(o),em=m(N),Go=s(N,"P",{});var Wn=r(Go);tm=i(Wn,"This model is also a Flax Linen "),Ko=s(Wn,"A",{href:!0,rel:!0});var of=r(Ko);om=i(of,"flax.linen.Module"),of.forEach(o),am=i(Wn,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Wn.forEach(o),sm=m(N),Zs=s(N,"P",{});var af=r(Zs);rm=i(af,"Finally, this model supports inherent JAX features such as:"),af.forEach(o),nm=m(N),re=s(N,"UL",{});var kt=r(re);er=s(kt,"LI",{});var sf=r(er);Xo=s(sf,"A",{href:!0,rel:!0});var rf=r(Xo);im=i(rf,"Just-In-Time (JIT) compilation"),rf.forEach(o),sf.forEach(o),lm=m(kt),tr=s(kt,"LI",{});var nf=r(tr);Yo=s(nf,"A",{href:!0,rel:!0});var lf=r(Yo);dm=i(lf,"Automatic Differentiation"),lf.forEach(o),nf.forEach(o),cm=m(kt),or=s(kt,"LI",{});var df=r(or);Qo=s(df,"A",{href:!0,rel:!0});var cf=r(Qo);mm=i(cf,"Vectorization"),cf.forEach(o),df.forEach(o),pm=m(kt),ar=s(kt,"LI",{});var mf=r(ar);Zo=s(mf,"A",{href:!0,rel:!0});var pf=r(Zo);hm=i(pf,"Parallelization"),pf.forEach(o),mf.forEach(o),kt.forEach(o),fm=m(N),A=s(N,"DIV",{class:!0});var ce=r(A);y(ea.$$.fragment,ce),um=m(ce),ze=s(ce,"P",{});var ss=r(ze);gm=i(ss,"The "),sr=s(ss,"CODE",{});var hf=r(sr);_m=i(hf,"FlaxBeitPreTrainedModel"),hf.forEach(o),bm=i(ss," forward method, overrides the "),rr=s(ss,"CODE",{});var ff=r(rr);vm=i(ff,"__call__"),ff.forEach(o),wm=i(ss," special method."),ss.forEach(o),ym=m(ce),y(ct.$$.fragment,ce),$m=m(ce),Ce=s(ce,"P",{});var rs=r(Ce);xm=i(rs,"bool_masked_pos ("),nr=s(rs,"CODE",{});var uf=r(nr);Tm=i(uf,"numpy.ndarray"),uf.forEach(o),Bm=i(rs," of shape "),ir=s(rs,"CODE",{});var gf=r(ir);km=i(gf,"(batch_size, num_patches)"),gf.forEach(o),Em=i(rs,`):
Boolean masked positions. Indicates which patches are masked (1) and which aren\u2019t (0).`),rs.forEach(o),Im=m(ce),y(mt.$$.fragment,ce),ce.forEach(o),N.forEach(o),pn=m(t),Ae=s(t,"H2",{class:!0});var Rn=r(Ae);pt=s(Rn,"A",{id:!0,class:!0,href:!0});var _f=r(pt);lr=s(_f,"SPAN",{});var bf=r(lr);y(ta.$$.fragment,bf),bf.forEach(o),_f.forEach(o),Fm=m(Rn),dr=s(Rn,"SPAN",{});var vf=r(dr);Mm=i(vf,"FlaxBeitForImageClassification"),vf.forEach(o),Rn.forEach(o),hn=m(t),j=s(t,"DIV",{class:!0});var q=r(j);y(oa.$$.fragment,q),Pm=m(q),cr=s(q,"P",{});var wf=r(cr);jm=i(wf,`Beit Model transformer with an image classification head on top (a linear layer on top of the average of the final
hidden states of the patch tokens) e.g. for ImageNet.`),wf.forEach(o),zm=m(q),aa=s(q,"P",{});var Un=r(aa);Cm=i(Un,"This model inherits from "),Ua=s(Un,"A",{href:!0});var yf=r(Ua);Am=i(yf,"FlaxPreTrainedModel"),yf.forEach(o),Sm=i(Un,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Un.forEach(o),Nm=m(q),sa=s(q,"P",{});var Hn=r(sa);qm=i(Hn,"This model is also a Flax Linen "),ra=s(Hn,"A",{href:!0,rel:!0});var $f=r(ra);Lm=i($f,"flax.linen.Module"),$f.forEach(o),Om=i(Hn,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Hn.forEach(o),Dm=m(q),mr=s(q,"P",{});var xf=r(mr);Vm=i(xf,"Finally, this model supports inherent JAX features such as:"),xf.forEach(o),Wm=m(q),ne=s(q,"UL",{});var Et=r(ne);pr=s(Et,"LI",{});var Tf=r(pr);na=s(Tf,"A",{href:!0,rel:!0});var Bf=r(na);Rm=i(Bf,"Just-In-Time (JIT) compilation"),Bf.forEach(o),Tf.forEach(o),Um=m(Et),hr=s(Et,"LI",{});var kf=r(hr);ia=s(kf,"A",{href:!0,rel:!0});var Ef=r(ia);Hm=i(Ef,"Automatic Differentiation"),Ef.forEach(o),kf.forEach(o),Jm=m(Et),fr=s(Et,"LI",{});var If=r(fr);la=s(If,"A",{href:!0,rel:!0});var Ff=r(la);Gm=i(Ff,"Vectorization"),Ff.forEach(o),If.forEach(o),Km=m(Et),ur=s(Et,"LI",{});var Mf=r(ur);da=s(Mf,"A",{href:!0,rel:!0});var Pf=r(da);Xm=i(Pf,"Parallelization"),Pf.forEach(o),Mf.forEach(o),Et.forEach(o),Ym=m(q),Y=s(q,"DIV",{class:!0});var It=r(Y);y(ca.$$.fragment,It),Qm=m(It),Se=s(It,"P",{});var ns=r(Se);Zm=i(ns,"The "),gr=s(ns,"CODE",{});var jf=r(gr);ep=i(jf,"FlaxBeitPreTrainedModel"),jf.forEach(o),tp=i(ns," forward method, overrides the "),_r=s(ns,"CODE",{});var zf=r(_r);op=i(zf,"__call__"),zf.forEach(o),ap=i(ns," special method."),ns.forEach(o),sp=m(It),y(ht.$$.fragment,It),rp=m(It),y(ft.$$.fragment,It),It.forEach(o),q.forEach(o),this.h()},h(){d(p,"name","hf:doc:metadata"),d(p,"content",JSON.stringify(au)),d(u,"id","beit"),d(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(u,"href","#beit"),d(_,"class","relative group"),d(Ne,"id","overview"),d(Ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ne,"href","#overview"),d(me,"class","relative group"),d(zt,"href","https://arxiv.org/abs/2106.08254"),d(zt,"rel","nofollow"),d(Ct,"href","https://arxiv.org/abs/2010.11929"),d(Ct,"rel","nofollow"),d(At,"href","https://arxiv.org/abs/2102.12092"),d(At,"rel","nofollow"),d(ba,"href","vit"),d(va,"href","deit"),d(St,"href","https://github.com/NielsRogge/Transformers-Tutorials/tree/master/VisionTransformer"),d(St,"rel","nofollow"),d(wa,"href","/docs/transformers/v4.26.0/en/model_doc/vit#transformers.ViTFeatureExtractor"),d(ya,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitImageProcessor"),d($a,"href","/docs/transformers/v4.26.0/en/model_doc/vit#transformers.ViTForImageClassification"),d(xa,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForImageClassification"),d(qt,"href","https://github.com/NielsRogge/Transformers-Tutorials/tree/master/BEiT"),d(qt,"rel","nofollow"),d(Ta,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitImageProcessor"),d(Ot,"href","https://huggingface.co/models?search=microsoft/beit"),d(Ot,"rel","nofollow"),d(Dt,"href","http://www.image-net.org/"),d(Dt,"rel","nofollow"),d(Vt,"href","http://www.image-net.org/challenges/LSVRC/2012/"),d(Vt,"rel","nofollow"),d(Ba,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitConfig"),qf(qe.src,ip="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/transformers/model_doc/beit_architecture.jpg")||d(qe,"src",ip),d(qe,"alt","drawing"),d(qe,"width","600"),d(ka,"href","https://arxiv.org/abs/2106.08254"),d(Rt,"href","https://huggingface.co/nielsr"),d(Rt,"rel","nofollow"),d(Ut,"href","https://huggingface.co/kamalkraj"),d(Ut,"rel","nofollow"),d(Ht,"href","https://github.com/microsoft/unilm/tree/master/beit"),d(Ht,"rel","nofollow"),d(Le,"id","resources"),d(Le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Le,"href","#resources"),d(fe,"class","relative group"),d(Fa,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForImageClassification"),d(Kt,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),d(Kt,"rel","nofollow"),d(Xt,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),d(Xt,"rel","nofollow"),d(Oe,"id","transformers.models.beit.modeling_beit.BeitModelOutputWithPooling"),d(Oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Oe,"href","#transformers.models.beit.modeling_beit.BeitModelOutputWithPooling"),d(ue,"class","relative group"),d(Pa,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitModel"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ja,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.FlaxBeitModel"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(De,"id","transformers.BeitConfig"),d(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(De,"href","#transformers.BeitConfig"),d(be,"class","relative group"),d(za,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitModel"),d(so,"href","https://huggingface.co/microsoft/beit-base-patch16-224-pt22k"),d(so,"rel","nofollow"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(We,"id","transformers.BeitFeatureExtractor"),d(We,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(We,"href","#transformers.BeitFeatureExtractor"),d(we,"class","relative group"),d(Ca,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Aa,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForSemanticSegmentation"),d(Re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ue,"id","transformers.BeitImageProcessor"),d(Ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ue,"href","#transformers.BeitImageProcessor"),d(ye,"class","relative group"),d(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Sa,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForSemanticSegmentation"),d(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ge,"id","transformers.BeitModel"),d(Ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ge,"href","#transformers.BeitModel"),d($e,"class","relative group"),d(vo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(vo,"rel","nofollow"),d(Na,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitModel"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ye,"id","transformers.BeitForMaskedImageModeling"),d(Ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ye,"href","#transformers.BeitForMaskedImageModeling"),d(Te,"class","relative group"),d(qa,"href","/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoModelForMaskedImageModeling"),d(La,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForMaskedImageModeling"),d(xo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(xo,"rel","nofollow"),d(Oa,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForMaskedImageModeling"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(et,"id","transformers.BeitForImageClassification"),d(et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(et,"href","#transformers.BeitForImageClassification"),d(ke,"class","relative group"),d(Io,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Io,"rel","nofollow"),d(Da,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForImageClassification"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"id","transformers.BeitForSemanticSegmentation"),d(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(at,"href","#transformers.BeitForSemanticSegmentation"),d(Ie,"class","relative group"),d(zo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(zo,"rel","nofollow"),d(Va,"href","/docs/transformers/v4.26.0/en/model_doc/beit#transformers.BeitForSemanticSegmentation"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nt,"id","transformers.FlaxBeitModel"),d(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(nt,"href","#transformers.FlaxBeitModel"),d(Me,"class","relative group"),d(Wa,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(Lo,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(Lo,"rel","nofollow"),d(Oo,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(Oo,"rel","nofollow"),d(Do,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(Do,"rel","nofollow"),d(Vo,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(Vo,"rel","nofollow"),d(Wo,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(Wo,"rel","nofollow"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(dt,"id","transformers.FlaxBeitForMaskedImageModeling"),d(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(dt,"href","#transformers.FlaxBeitForMaskedImageModeling"),d(je,"class","relative group"),d(Ra,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(Ko,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(Ko,"rel","nofollow"),d(Xo,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(Xo,"rel","nofollow"),d(Yo,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(Yo,"rel","nofollow"),d(Qo,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(Qo,"rel","nofollow"),d(Zo,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(Zo,"rel","nofollow"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pt,"id","transformers.FlaxBeitForImageClassification"),d(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pt,"href","#transformers.FlaxBeitForImageClassification"),d(Ae,"class","relative group"),d(Ua,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(ra,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(ra,"rel","nofollow"),d(na,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(na,"rel","nofollow"),d(ia,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(ia,"rel","nofollow"),d(la,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(la,"rel","nofollow"),d(da,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(da,"rel","nofollow"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,p),g(t,v,h),g(t,_,h),e(_,u),e(u,b),$(l,b,null),e(_,f),e(_,E),e(E,Jn),g(t,Mr,h),g(t,me,h),e(me,Ne),e(Ne,is),$(jt,is,null),e(me,Gn),e(me,ls),e(ls,Kn),g(t,Pr,h),g(t,R,h),e(R,Xn),e(R,zt),e(zt,Yn),e(R,Qn),e(R,Ct),e(Ct,Zn),e(R,ei),e(R,At),e(At,ti),e(R,oi),g(t,jr,h),g(t,ua,h),e(ua,ai),g(t,zr,h),g(t,ga,h),e(ga,ds),e(ds,si),g(t,Cr,h),g(t,_a,h),e(_a,ri),g(t,Ar,h),g(t,z,h),e(z,F),e(F,ni),e(F,ba),e(ba,ii),e(F,li),e(F,va),e(va,di),e(F,ci),e(F,St),e(St,mi),e(F,pi),e(F,wa),e(wa,hi),e(F,fi),e(F,ya),e(ya,ui),e(F,gi),e(F,$a),e($a,_i),e(F,bi),e(F,xa),e(xa,vi),e(F,wi),e(z,yi),e(z,Nt),e(Nt,$i),e(Nt,qt),e(qt,xi),e(Nt,Ti),e(z,Bi),e(z,Lt),e(Lt,ki),e(Lt,Ta),e(Ta,Ei),e(Lt,Ii),e(z,Fi),e(z,pe),e(pe,Mi),e(pe,cs),e(cs,Pi),e(pe,ji),e(pe,Ot),e(Ot,zi),e(pe,Ci),e(z,Ai),e(z,he),e(he,Si),e(he,Dt),e(Dt,Ni),e(he,qi),e(he,Vt),e(Vt,Li),e(he,Oi),e(z,Di),e(z,O),e(O,Vi),e(O,ms),e(ms,Wi),e(O,Ri),e(O,ps),e(ps,Ui),e(O,Hi),e(O,Ba),e(Ba,Ji),e(O,Gi),e(O,hs),e(hs,Ki),e(O,Xi),g(t,Sr,h),g(t,qe,h),g(t,Nr,h),g(t,Wt,h),e(Wt,Yi),e(Wt,ka),e(ka,Qi),g(t,qr,h),g(t,U,h),e(U,Zi),e(U,Rt),e(Rt,el),e(U,tl),e(U,Ut),e(Ut,ol),e(U,al),e(U,Ht),e(Ht,sl),e(U,rl),g(t,Lr,h),g(t,fe,h),e(fe,Le),e(Le,fs),$(Jt,fs,null),e(fe,nl),e(fe,us),e(us,il),g(t,Or,h),g(t,Ea,h),e(Ea,ll),g(t,Dr,h),$(Gt,t,h),g(t,Vr,h),g(t,Ia,h),e(Ia,le),e(le,Fa),e(Fa,dl),e(le,cl),e(le,Kt),e(Kt,ml),e(le,pl),e(le,Xt),e(Xt,hl),e(le,fl),g(t,Wr,h),g(t,Ma,h),e(Ma,ul),g(t,Rr,h),g(t,ue,h),e(ue,Oe),e(Oe,gs),$(Yt,gs,null),e(ue,gl),e(ue,_s),e(_s,_l),g(t,Ur,h),g(t,ge,h),$(Qt,ge,null),e(ge,bl),e(ge,Zt),e(Zt,vl),e(Zt,Pa),e(Pa,wl),e(Zt,yl),g(t,Hr,h),g(t,_e,h),$(eo,_e,null),e(_e,$l),e(_e,to),e(to,xl),e(to,ja),e(ja,Tl),e(to,Bl),g(t,Jr,h),g(t,be,h),e(be,De),e(De,bs),$(oo,bs,null),e(be,kl),e(be,vs),e(vs,El),g(t,Gr,h),g(t,Z,h),$(ao,Z,null),e(Z,Il),e(Z,ve),e(ve,Fl),e(ve,za),e(za,Ml),e(ve,Pl),e(ve,so),e(so,jl),e(ve,zl),e(Z,Cl),$(Ve,Z,null),g(t,Kr,h),g(t,we,h),e(we,We),e(We,ws),$(ro,ws,null),e(we,Al),e(we,ys),e(ys,Sl),g(t,Xr,h),g(t,ee,h),$(no,ee,null),e(ee,Nl),e(ee,Ca),$(io,Ca,null),e(ee,ql),e(ee,Re),$(lo,Re,null),e(Re,Ll),e(Re,co),e(co,Ol),e(co,Aa),e(Aa,Dl),e(co,Vl),g(t,Yr,h),g(t,ye,h),e(ye,Ue),e(Ue,$s),$(mo,$s,null),e(ye,Wl),e(ye,xs),e(xs,Rl),g(t,Qr,h),g(t,D,h),$(po,D,null),e(D,Ul),e(D,Ts),e(Ts,Hl),e(D,Jl),e(D,He),$(ho,He,null),e(He,Gl),e(He,Bs),e(Bs,Kl),e(D,Xl),e(D,Je),$(fo,Je,null),e(Je,Yl),e(Je,uo),e(uo,Ql),e(uo,Sa),e(Sa,Zl),e(uo,ed),g(t,Zr,h),g(t,$e,h),e($e,Ge),e(Ge,ks),$(go,ks,null),e($e,td),e($e,Es),e(Es,od),g(t,en,h),g(t,te,h),$(_o,te,null),e(te,ad),e(te,bo),e(bo,sd),e(bo,vo),e(vo,rd),e(bo,nd),e(te,id),e(te,H),$(wo,H,null),e(H,ld),e(H,xe),e(xe,dd),e(xe,Na),e(Na,cd),e(xe,md),e(xe,Is),e(Is,pd),e(xe,hd),e(H,fd),$(Ke,H,null),e(H,ud),$(Xe,H,null),g(t,tn,h),g(t,Te,h),e(Te,Ye),e(Ye,Fs),$(yo,Fs,null),e(Te,gd),e(Te,Ms),e(Ms,_d),g(t,on,h),g(t,oe,h),$($o,oe,null),e(oe,bd),e(oe,ae),e(ae,vd),e(ae,qa),e(qa,wd),e(ae,yd),e(ae,La),e(La,$d),e(ae,xd),e(ae,xo),e(xo,Td),e(ae,Bd),e(oe,kd),e(oe,J),$(To,J,null),e(J,Ed),e(J,Be),e(Be,Id),e(Be,Oa),e(Oa,Fd),e(Be,Md),e(Be,Ps),e(Ps,Pd),e(Be,jd),e(J,zd),$(Qe,J,null),e(J,Cd),$(Ze,J,null),g(t,an,h),g(t,ke,h),e(ke,et),e(et,js),$(Bo,js,null),e(ke,Ad),e(ke,zs),e(zs,Sd),g(t,sn,h),g(t,V,h),$(ko,V,null),e(V,Nd),e(V,Cs),e(Cs,qd),e(V,Ld),e(V,Eo),e(Eo,Od),e(Eo,Io),e(Io,Dd),e(Eo,Vd),e(V,Wd),e(V,G),$(Fo,G,null),e(G,Rd),e(G,Ee),e(Ee,Ud),e(Ee,Da),e(Da,Hd),e(Ee,Jd),e(Ee,As),e(As,Gd),e(Ee,Kd),e(G,Xd),$(tt,G,null),e(G,Yd),$(ot,G,null),g(t,rn,h),g(t,Ie,h),e(Ie,at),e(at,Ss),$(Mo,Ss,null),e(Ie,Qd),e(Ie,Ns),e(Ns,Zd),g(t,nn,h),g(t,W,h),$(Po,W,null),e(W,ec),e(W,qs),e(qs,tc),e(W,oc),e(W,jo),e(jo,ac),e(jo,zo),e(zo,sc),e(jo,rc),e(W,nc),e(W,K),$(Co,K,null),e(K,ic),e(K,Fe),e(Fe,lc),e(Fe,Va),e(Va,dc),e(Fe,cc),e(Fe,Ls),e(Ls,mc),e(Fe,pc),e(K,hc),$(st,K,null),e(K,fc),$(rt,K,null),g(t,ln,h),g(t,Me,h),e(Me,nt),e(nt,Os),$(Ao,Os,null),e(Me,uc),e(Me,Ds),e(Ds,gc),g(t,dn,h),g(t,M,h),$(So,M,null),e(M,_c),e(M,Vs),e(Vs,bc),e(M,vc),e(M,No),e(No,wc),e(No,Wa),e(Wa,yc),e(No,$c),e(M,xc),e(M,qo),e(qo,Tc),e(qo,Lo),e(Lo,Bc),e(qo,kc),e(M,Ec),e(M,Ws),e(Ws,Ic),e(M,Fc),e(M,se),e(se,Rs),e(Rs,Oo),e(Oo,Mc),e(se,Pc),e(se,Us),e(Us,Do),e(Do,jc),e(se,zc),e(se,Hs),e(Hs,Vo),e(Vo,Cc),e(se,Ac),e(se,Js),e(Js,Wo),e(Wo,Sc),e(M,Nc),e(M,X),$(Ro,X,null),e(X,qc),e(X,Pe),e(Pe,Lc),e(Pe,Gs),e(Gs,Oc),e(Pe,Dc),e(Pe,Ks),e(Ks,Vc),e(Pe,Wc),e(X,Rc),$(it,X,null),e(X,Uc),$(lt,X,null),g(t,cn,h),g(t,je,h),e(je,dt),e(dt,Xs),$(Uo,Xs,null),e(je,Hc),e(je,Ys),e(Ys,Jc),g(t,mn,h),g(t,P,h),$(Ho,P,null),e(P,Gc),e(P,Qs),e(Qs,Kc),e(P,Xc),e(P,Jo),e(Jo,Yc),e(Jo,Ra),e(Ra,Qc),e(Jo,Zc),e(P,em),e(P,Go),e(Go,tm),e(Go,Ko),e(Ko,om),e(Go,am),e(P,sm),e(P,Zs),e(Zs,rm),e(P,nm),e(P,re),e(re,er),e(er,Xo),e(Xo,im),e(re,lm),e(re,tr),e(tr,Yo),e(Yo,dm),e(re,cm),e(re,or),e(or,Qo),e(Qo,mm),e(re,pm),e(re,ar),e(ar,Zo),e(Zo,hm),e(P,fm),e(P,A),$(ea,A,null),e(A,um),e(A,ze),e(ze,gm),e(ze,sr),e(sr,_m),e(ze,bm),e(ze,rr),e(rr,vm),e(ze,wm),e(A,ym),$(ct,A,null),e(A,$m),e(A,Ce),e(Ce,xm),e(Ce,nr),e(nr,Tm),e(Ce,Bm),e(Ce,ir),e(ir,km),e(Ce,Em),e(A,Im),$(mt,A,null),g(t,pn,h),g(t,Ae,h),e(Ae,pt),e(pt,lr),$(ta,lr,null),e(Ae,Fm),e(Ae,dr),e(dr,Mm),g(t,hn,h),g(t,j,h),$(oa,j,null),e(j,Pm),e(j,cr),e(cr,jm),e(j,zm),e(j,aa),e(aa,Cm),e(aa,Ua),e(Ua,Am),e(aa,Sm),e(j,Nm),e(j,sa),e(sa,qm),e(sa,ra),e(ra,Lm),e(sa,Om),e(j,Dm),e(j,mr),e(mr,Vm),e(j,Wm),e(j,ne),e(ne,pr),e(pr,na),e(na,Rm),e(ne,Um),e(ne,hr),e(hr,ia),e(ia,Hm),e(ne,Jm),e(ne,fr),e(fr,la),e(la,Gm),e(ne,Km),e(ne,ur),e(ur,da),e(da,Xm),e(j,Ym),e(j,Y),$(ca,Y,null),e(Y,Qm),e(Y,Se),e(Se,Zm),e(Se,gr),e(gr,ep),e(Se,tp),e(Se,_r),e(_r,op),e(Se,ap),e(Y,sp),$(ht,Y,null),e(Y,rp),$(ft,Y,null),fn=!0},p(t,[h]){const ma={};h&2&&(ma.$$scope={dirty:h,ctx:t}),Ve.$set(ma);const br={};h&2&&(br.$$scope={dirty:h,ctx:t}),Ke.$set(br);const vr={};h&2&&(vr.$$scope={dirty:h,ctx:t}),Xe.$set(vr);const wr={};h&2&&(wr.$$scope={dirty:h,ctx:t}),Qe.$set(wr);const pa={};h&2&&(pa.$$scope={dirty:h,ctx:t}),Ze.$set(pa);const yr={};h&2&&(yr.$$scope={dirty:h,ctx:t}),tt.$set(yr);const $r={};h&2&&($r.$$scope={dirty:h,ctx:t}),ot.$set($r);const xr={};h&2&&(xr.$$scope={dirty:h,ctx:t}),st.$set(xr);const ie={};h&2&&(ie.$$scope={dirty:h,ctx:t}),rt.$set(ie);const Tr={};h&2&&(Tr.$$scope={dirty:h,ctx:t}),it.$set(Tr);const Br={};h&2&&(Br.$$scope={dirty:h,ctx:t}),lt.$set(Br);const kr={};h&2&&(kr.$$scope={dirty:h,ctx:t}),ct.$set(kr);const Er={};h&2&&(Er.$$scope={dirty:h,ctx:t}),mt.$set(Er);const Ir={};h&2&&(Ir.$$scope={dirty:h,ctx:t}),ht.$set(Ir);const Fr={};h&2&&(Fr.$$scope={dirty:h,ctx:t}),ft.$set(Fr)},i(t){fn||(x(l.$$.fragment,t),x(jt.$$.fragment,t),x(Jt.$$.fragment,t),x(Gt.$$.fragment,t),x(Yt.$$.fragment,t),x(Qt.$$.fragment,t),x(eo.$$.fragment,t),x(oo.$$.fragment,t),x(ao.$$.fragment,t),x(Ve.$$.fragment,t),x(ro.$$.fragment,t),x(no.$$.fragment,t),x(io.$$.fragment,t),x(lo.$$.fragment,t),x(mo.$$.fragment,t),x(po.$$.fragment,t),x(ho.$$.fragment,t),x(fo.$$.fragment,t),x(go.$$.fragment,t),x(_o.$$.fragment,t),x(wo.$$.fragment,t),x(Ke.$$.fragment,t),x(Xe.$$.fragment,t),x(yo.$$.fragment,t),x($o.$$.fragment,t),x(To.$$.fragment,t),x(Qe.$$.fragment,t),x(Ze.$$.fragment,t),x(Bo.$$.fragment,t),x(ko.$$.fragment,t),x(Fo.$$.fragment,t),x(tt.$$.fragment,t),x(ot.$$.fragment,t),x(Mo.$$.fragment,t),x(Po.$$.fragment,t),x(Co.$$.fragment,t),x(st.$$.fragment,t),x(rt.$$.fragment,t),x(Ao.$$.fragment,t),x(So.$$.fragment,t),x(Ro.$$.fragment,t),x(it.$$.fragment,t),x(lt.$$.fragment,t),x(Uo.$$.fragment,t),x(Ho.$$.fragment,t),x(ea.$$.fragment,t),x(ct.$$.fragment,t),x(mt.$$.fragment,t),x(ta.$$.fragment,t),x(oa.$$.fragment,t),x(ca.$$.fragment,t),x(ht.$$.fragment,t),x(ft.$$.fragment,t),fn=!0)},o(t){T(l.$$.fragment,t),T(jt.$$.fragment,t),T(Jt.$$.fragment,t),T(Gt.$$.fragment,t),T(Yt.$$.fragment,t),T(Qt.$$.fragment,t),T(eo.$$.fragment,t),T(oo.$$.fragment,t),T(ao.$$.fragment,t),T(Ve.$$.fragment,t),T(ro.$$.fragment,t),T(no.$$.fragment,t),T(io.$$.fragment,t),T(lo.$$.fragment,t),T(mo.$$.fragment,t),T(po.$$.fragment,t),T(ho.$$.fragment,t),T(fo.$$.fragment,t),T(go.$$.fragment,t),T(_o.$$.fragment,t),T(wo.$$.fragment,t),T(Ke.$$.fragment,t),T(Xe.$$.fragment,t),T(yo.$$.fragment,t),T($o.$$.fragment,t),T(To.$$.fragment,t),T(Qe.$$.fragment,t),T(Ze.$$.fragment,t),T(Bo.$$.fragment,t),T(ko.$$.fragment,t),T(Fo.$$.fragment,t),T(tt.$$.fragment,t),T(ot.$$.fragment,t),T(Mo.$$.fragment,t),T(Po.$$.fragment,t),T(Co.$$.fragment,t),T(st.$$.fragment,t),T(rt.$$.fragment,t),T(Ao.$$.fragment,t),T(So.$$.fragment,t),T(Ro.$$.fragment,t),T(it.$$.fragment,t),T(lt.$$.fragment,t),T(Uo.$$.fragment,t),T(Ho.$$.fragment,t),T(ea.$$.fragment,t),T(ct.$$.fragment,t),T(mt.$$.fragment,t),T(ta.$$.fragment,t),T(oa.$$.fragment,t),T(ca.$$.fragment,t),T(ht.$$.fragment,t),T(ft.$$.fragment,t),fn=!1},d(t){o(p),t&&o(v),t&&o(_),B(l),t&&o(Mr),t&&o(me),B(jt),t&&o(Pr),t&&o(R),t&&o(jr),t&&o(ua),t&&o(zr),t&&o(ga),t&&o(Cr),t&&o(_a),t&&o(Ar),t&&o(z),t&&o(Sr),t&&o(qe),t&&o(Nr),t&&o(Wt),t&&o(qr),t&&o(U),t&&o(Lr),t&&o(fe),B(Jt),t&&o(Or),t&&o(Ea),t&&o(Dr),B(Gt,t),t&&o(Vr),t&&o(Ia),t&&o(Wr),t&&o(Ma),t&&o(Rr),t&&o(ue),B(Yt),t&&o(Ur),t&&o(ge),B(Qt),t&&o(Hr),t&&o(_e),B(eo),t&&o(Jr),t&&o(be),B(oo),t&&o(Gr),t&&o(Z),B(ao),B(Ve),t&&o(Kr),t&&o(we),B(ro),t&&o(Xr),t&&o(ee),B(no),B(io),B(lo),t&&o(Yr),t&&o(ye),B(mo),t&&o(Qr),t&&o(D),B(po),B(ho),B(fo),t&&o(Zr),t&&o($e),B(go),t&&o(en),t&&o(te),B(_o),B(wo),B(Ke),B(Xe),t&&o(tn),t&&o(Te),B(yo),t&&o(on),t&&o(oe),B($o),B(To),B(Qe),B(Ze),t&&o(an),t&&o(ke),B(Bo),t&&o(sn),t&&o(V),B(ko),B(Fo),B(tt),B(ot),t&&o(rn),t&&o(Ie),B(Mo),t&&o(nn),t&&o(W),B(Po),B(Co),B(st),B(rt),t&&o(ln),t&&o(Me),B(Ao),t&&o(dn),t&&o(M),B(So),B(Ro),B(it),B(lt),t&&o(cn),t&&o(je),B(Uo),t&&o(mn),t&&o(P),B(Ho),B(ea),B(ct),B(mt),t&&o(pn),t&&o(Ae),B(ta),t&&o(hn),t&&o(j),B(oa),B(ca),B(ht),B(ft)}}}const au={local:"beit",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.models.beit.modeling_beit.BeitModelOutputWithPooling",title:"BEiT specific outputs"},{local:"transformers.BeitConfig",title:"BeitConfig"},{local:"transformers.BeitFeatureExtractor",title:"BeitFeatureExtractor"},{local:"transformers.BeitImageProcessor",title:"BeitImageProcessor"},{local:"transformers.BeitModel",title:"BeitModel"},{local:"transformers.BeitForMaskedImageModeling",title:"BeitForMaskedImageModeling"},{local:"transformers.BeitForImageClassification",title:"BeitForImageClassification"},{local:"transformers.BeitForSemanticSegmentation",title:"BeitForSemanticSegmentation"},{local:"transformers.FlaxBeitModel",title:"FlaxBeitModel"},{local:"transformers.FlaxBeitForMaskedImageModeling",title:"FlaxBeitForMaskedImageModeling"},{local:"transformers.FlaxBeitForImageClassification",title:"FlaxBeitForImageClassification"}],title:"BEiT"};function su(k){return Lf(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class pu extends Cf{constructor(p){super();Af(this,p,su,ou,Sf,{})}}export{pu as default,au as metadata};
